/*
 * $Id: RfqHeader.java,v 1.5 2007/05/19 04:43:59 bacon Exp $
 */

package com.unimar.shipneeds;

/*
 * Sample screen in mind 
 
No.: ______________  Date: __________________  Status: ___

Title: ___________________________________________________

Preferred Supplier 1: ____________________________________
Preferred Supplier 2: ____________________________________
Preferred Supplier 3: ____________________________________

Comments: ________________________________________________
          ________________________________________________
          ________________________________________________
 */

public class RfqHeader
{
	private long   rfqno; // sequence no.
	private long   time;  // timestamp
	private String buyer; // buyer
	private int    revno; // revision 

	private String title;

	private String preferredSupplier1;
	private String preferredSupplier2;
	private String preferredSupplier3;

	private String comment;

	private String owner; // user name
	private String status;
	private long stamp;
		
	public static final String STATUS_DRAFT     = "DRA";
	public static final String STATUS_SUBMITTED = "SBM";
	public static final String STATUS_DROPPED   = "DRP";
	public static final String STATUS_QUOTED    = "QUO";
	public static final String STATUS_CONFIRMED = "CFM";

	public RfqHeader ()
	{
		clear ();
	}
	
	public RfqHeader (RfqHeader header)
	{
		copy (header);
	}

	public void clear ()
	{
		this.rfqno = -1;
		this.time  = 0;
		this.buyer = "";
		this.revno = 0;
		this.title = "";

		this.preferredSupplier1 = "";
		this.preferredSupplier2 = "";
		this.preferredSupplier3 = "";

		this.comment = "";

		this.owner = "";
		this.status = STATUS_DRAFT;
		this.stamp = 0;
	}

	public void copy (RfqHeader header)
	{
		this.rfqno = header.rfqno;
		this.time  = header.time;
		this.buyer = header.buyer;
		this.revno = header.revno;
		this.title = header.title;

		this.preferredSupplier1 = header.preferredSupplier1;
		this.preferredSupplier2 = header.preferredSupplier2;
		this.preferredSupplier3 = header.preferredSupplier2;

		this.comment = header.comment;

		this.owner = header.owner;
		this.status = header.status;
		this.stamp = header.stamp;
	}

	public long getRfqno ()
	{
		return this.rfqno;
	}

	public void setRfqno (long rfqno)
	{
		this.rfqno = rfqno;
	}

	public long getTime ()
	{
		return this.time;
	}

	public void setTime (long time)
	{
		this.time = time;
	}

	public String getBuyer ()
	{
		return this.buyer;
	}

	public void setBuyer (String buyer)
	{
		this.buyer = buyer;
	}

	public int getRevno ()
	{
		return this.revno;
	}

	public void setRevno (int revno)
	{
		this.revno = revno;
	}

	public String getTitle ()
	{
		return this.title;
	}

	public void setTitle (String title)
	{
		this.title = title;
	}

	public String getPreferredSupplier1 ()
	{
		return this.preferredSupplier1;
	}

	public void setPreferredSupplier1 (String s)
	{
		this.preferredSupplier1 = s;
	}

	public String getPreferredSupplier2 ()
	{
		return this.preferredSupplier2;
	}

	public void setPreferredSupplier2 (String s)
	{
		this.preferredSupplier2 = s;
	}

	public String getPreferredSupplier3 ()
	{
		return this.preferredSupplier3;
	}

	public void setPreferredSupplier3 (String s)
	{
		this.preferredSupplier3 = s;
	}

	public String getComment ()
	{
		return this.comment;
	}

	public void setComment (String s)
	{
		this.comment = s;
	}

	public String getOwner ()
	{
		return this.owner;
	}

	public void setOwner (String s)
	{
		this.owner = s;
	}

	public String getStatus ()
	{
		return this.status;
	}

	public void setStatus (String s)
	{
		this.status = s;
	}

	public long getStamp ()
	{
		return this.stamp;
	}

	public void setStamp (long s)
	{
		this.stamp = s;
	}
}
