/*
 * $Id: Storage.java,v 1.9 2007/05/19 04:43:59 bacon Exp $
 */

package com.unimar.shipneeds;

import java.util.List;

public abstract class Storage
{
	public abstract void close ();

	public abstract void addGroup (Group group) throws StorageException;
	public abstract void updateGroup (
		Group oldGroup, Group newGroup) throws StorageException;
	public abstract void deleteGroup (String group) throws StorageException;
	public abstract List getGroups () throws StorageException;

	public abstract void addUser (User user) throws StorageException;
	public abstract void updateUser (
		User oldUser, User newUser) throws StorageException;
	public abstract void deleteUser (String user) throws StorageException;
	public abstract List getUsers (String user) throws StorageException;

	public abstract List getRoles () throws StorageException;



	public abstract void addRfq (
		String username, Rfq rfq) throws StorageException;
	public abstract void updateRfq (
		String username, long oldstamp, Rfq rfq) throws StorageException;
	public abstract List getRfqs (String username) throws StorageException;
	public abstract Rfq getRfq (String username, long rfqno) throws StorageException;

	public abstract List getRfqsForSupplier (String username) throws StorageException;
}
