/*
 * $Id: User.java,v 1.4 2007/05/15 16:01:59 bacon Exp $
 */

package com.unimar.shipneeds;

public class User
{
	private String name;
	private String longName;
	private String password;
	private String group;
	private String email;
	private Role role;

	public User ()
	{
		clear ();
	}

	public User (User user)
	{
		copy (user);
	}

	public void copy (User user)
	{
		this.name = user.name;
		this.longName = user.longName;
		this.password = user.password;
		this.group = user.group;
		this.email = user.email;
		this.role.copy (user.role);
	}

	public void clear ()
	{
		this.name = "";
		this.longName = "";
		this.password = "";
		this.group = "";
		this.email = "";
		this.role = new Role ();
	}

	public boolean equals (User user)
	{
		return this.name.equals(user.name) &&
		       this.longName.equals(user.longName) &&
		       this.password.equals(user.password) &&
		       this.group.equals(user.group) &&
		       this.email.equals(user.email) &&
		       this.role.equals(user.role);
	}

	public String getName ()
	{
		return this.name;
	}

	public void setName (String s)
	{
		this.name = s;
	}

	public String getLongName ()
	{
		return this.longName;
	}

	public void setLongName (String s)
	{
		this.longName = s;
	}

	public String getPassword ()
	{
		return this.password;
	}

	public void setPassword (String s)
	{
		this.password = s;
	}

	public String getGroup ()
	{
		return this.group;
	}

	public void setGroup (String s)
	{
		this.group = s;
	}

	public String getEmail ()
	{
		return this.email;
	}

	public void setEmail (String s)
	{
		this.email = s;
	}

	public Role getRole ()
	{
		return this.role;
	}

	public void setRole (Role r)
	{
		this.role = r;
	}
}
