package com.unimar.shipneeds.model.dataaccess;

import com.unimar.shipneeds.model.dataaccess.hibernate.DAOFactoryImpl;


public abstract class DAOFactory {

	public abstract RfqDAO getRfqDAO();
        
        public abstract UserDAO getUserDAO();

	private static DAOFactory instance;

	private static int accessConfig = 1; // by default access DB


	public static DAOFactory getInstance() {
	
		instance = loadInstance(accessConfig);
		
		return instance;
	}
        public static DAOFactory getInstance(int i) {

                instance = loadInstance(i);
                
		return instance;
	}

        private static DAOFactory loadInstance (int acc){
    
        System.out.println("***********DAOFactory :" + acc);
       
    
        switch (acc) {
        
            case (1):
                return new com.unimar.shipneeds.model.dataaccess.hibernate.DAOFactoryImpl();
            
            case (2):
               // return new com.unimar.shipneeds.dataacess.mysql.DAOFactoryImpl();  
                
            default:
                return new com.unimar.shipneeds.model.dataaccess.hibernate.DAOFactoryImpl();

        }
    }

}