package com.unimar.shipneeds.model.dataaccess.hibernate;

import com.unimar.shipneeds.model.businessobjects.Rfq;
import com.unimar.shipneeds.model.businessobjects.RfqItem;

import com.unimar.shipneeds.model.dataaccess.DAOException;
import com.unimar.shipneeds.model.dataaccess.RfqDAO;
import com.unimar.shipneeds.exceptions.HibernateAccessLayerException;
import java.util.List;

public class RfqDAOImpl extends AbstractDao implements RfqDAO {
    
    /**
     * Creates a new instance of RfqDAOImpl
     */
    public RfqDAOImpl() {
        super();
    }
      public Rfq findRfq(String OrderId) throws HibernateAccessLayerException {
        System.out.println("Finding Rfq" + OrderId);
        try {
            Rfq o = (Rfq) super.find(Rfq.class, OrderId);
            return o;
        } catch (Throwable t) {
            throw new HibernateAccessLayerException(t.toString());
            
        }
        
    }
    
    public Rfq[] findAllRfq() throws HibernateAccessLayerException {
        try {
            List ls = super.findAll(Rfq.class);
            Rfq[] result = new Rfq[ls.size()];
            ls.toArray(result);
            return (result);
            
        } catch (Throwable t) {
                throw new HibernateAccessLayerException(t.toString());
        }
        
    }
    
    public void insertRfq(Rfq ord) throws HibernateAccessLayerException {
        
        try {
            super.saveOrUpdate(ord);
        } catch (Throwable t) {
            throw new HibernateAccessLayerException(t.toString());
            
        }
    }
    
    public void updateRfq(Rfq ord) throws HibernateAccessLayerException {
               
        try {
            super.saveOrUpdate(ord);
        } catch (Throwable t) {
            throw new HibernateAccessLayerException(t.toString());
            
        }
        
    }
    
    public void deleteRfq(Rfq ord) throws HibernateAccessLayerException {
        
        try {
            super.delete(ord);
        } catch (Throwable t) {
            throw new HibernateAccessLayerException(t.toString());
            
        }
    }
    
      public RfqItem findRfqItem(String RfqItemId) throws HibernateAccessLayerException {
        
        try {
            RfqItem o = (RfqItem) super.find(RfqItem.class, RfqItemId);
            return o;
        } catch (Throwable t) {
            throw new HibernateAccessLayerException(t.toString());
            
        }
        
    }
    
    public RfqItem[] findAllRfqItem() throws HibernateAccessLayerException {
        try {
            List ls = super.findAll(RfqItem.class);
            RfqItem[] result = new RfqItem[ls.size()];
            ls.toArray(result);
            return (result);
            
        } catch (Throwable t) {
                throw new HibernateAccessLayerException(t.toString());
        }
        
    }
    
    public void insertRfqItem(RfqItem ordItm) throws HibernateAccessLayerException {
        
        try {
            super.saveOrUpdate(ordItm);
        } catch (Throwable t) {
            throw new HibernateAccessLayerException(t.toString());
            
        }
    }
    
    public void updateRfqItem(RfqItem ordItm) throws HibernateAccessLayerException {
        
        
        try {
            super.saveOrUpdate(ordItm);
        } catch (Throwable t) {
            throw new HibernateAccessLayerException(t.toString());
            
        }
        
    }
    
    public void deleteRfqItem(RfqItem ordItm) throws HibernateAccessLayerException {
        
        try {
            super.delete(ordItm);
        } catch (Throwable t) {
            throw new HibernateAccessLayerException(t.toString());
            
        }
    }


  
  
}
