package com.unimar.shipneeds.model.dataaccess.hibernate;

import com.unimar.shipneeds.model.businessobjects.RfqItem;
import com.unimar.shipneeds.model.dataaccess.RfqItemDAO;

import com.unimar.shipneeds.exceptions.HibernateAccessLayerException;
import java.util.List;

public class RfqItemDAOImpl extends AbstractDao implements RfqItemDAO {
    
    /** Creates a new instance of RfqItemDAOImpl */
    public RfqItemDAOImpl() {
        super();
    }
      public RfqItem findOrderItem(String OrderItemId) throws HibernateAccessLayerException {
        System.out.println("Finding OrderItem" + OrderItemId);
        try {
            RfqItem o = (RfqItem) super.find(RfqItem.class, OrderItemId);
            return o;
        } catch (Throwable t) {
            throw new HibernateAccessLayerException(t.toString());
            
        }
        
    }
    
    public RfqItem[] findAllOrderItem() throws HibernateAccessLayerException {
        try {
            List ls = super.findAll(RfqItem.class);
            RfqItem[] result = new RfqItem[ls.size()];
            ls.toArray(result);
            return (result);
            
        } catch (Throwable t) {
                throw new HibernateAccessLayerException(t.toString());
        }
        
    }
    
    public void insertOrderItem(RfqItem ordItm) throws HibernateAccessLayerException {
       
        try {
            super.saveOrUpdate(ordItm);
        } catch (Throwable t) {
            throw new HibernateAccessLayerException(t.toString());
            
        }
    }
    
    public void updateOrderItem(RfqItem ordItm) throws HibernateAccessLayerException {
        
        
        try {
            super.saveOrUpdate(ordItm);
        } catch (Throwable t) {
            throw new HibernateAccessLayerException(t.toString());
            
        }
        
    }
    
    public void deleteOrderItem(RfqItem ordItm) throws HibernateAccessLayerException {
     
        try {
            super.delete(ordItm);
        } catch (Throwable t) {
            throw new HibernateAccessLayerException(t.toString());
            
        }
    }
    
}
