package com.unimar.shipneeds.model.dataaccess.hibernate;

import com.unimar.shipneeds.model.dataaccess.UserDAO;
import com.unimar.shipneeds.model.businessobjects.UserProfile;

import com.unimar.shipneeds.exceptions.HibernateAccessLayerException;
import java.util.List;

public class UserDAOImpl extends AbstractDao implements UserDAO {
    
    /** Creates a new instance of UserDAOImpl */
    public UserDAOImpl() {
        super();
    }
    
    public UserProfile findUser(String UserName) throws HibernateAccessLayerException {
        System.out.println("Finding User" + UserName);
        try {
            UserProfile p = (UserProfile) super.find(UserProfile.class, UserName);
            return p;
        } catch (Throwable t) {
            throw new HibernateAccessLayerException(t.toString());
            
        }
        
    }
    
    public UserProfile[] findAllUser() throws HibernateAccessLayerException {
        try {
            List ls = super.findAll(UserProfile.class);
            UserProfile[] result = new UserProfile[ls.size()];
            ls.toArray(result);
            return (result);
            
        } catch (Throwable t) {
                throw new HibernateAccessLayerException(t.toString());
        }
        
    }
    
    public void insertUser(UserProfile usr) throws HibernateAccessLayerException {
        
        try {
            super.saveOrUpdate(usr);
        } catch (Throwable t) {
            throw new HibernateAccessLayerException(t.toString());
            
        }
    }
    
    public void updateUser(UserProfile usr) throws HibernateAccessLayerException {
        
        try {
            super.saveOrUpdate(usr);
        } catch (Throwable t) {
            throw new HibernateAccessLayerException(t.toString());
            
        }
        
    }
    
    public void deleteUser(UserProfile usr) throws HibernateAccessLayerException {
        
        try {
            super.delete(usr);
        } catch (Throwable t) {
            throw new HibernateAccessLayerException(t.toString());
            
        }
    }
}
