/*
 * $Id: GroupBean.java,v 1.3 2007/05/15 07:02:05 tomanish Exp $
 */

package com.unimar.shipneeds.view.backingbeans;

import com.unimar.shipneeds.Group;
import com.unimar.shipneeds.StorageException;
import javax.faces.model.DataModel;
import javax.faces.model.ListDataModel;
import javax.faces.model.SelectItem;

import java.util.List;
import java.util.LinkedList;
import java.util.ArrayList;
import java.util.Iterator;


public class GroupBean
{
	private List groupList;
	private List roleList;
	private ListDataModel groupListModel;

	private int numRows = 10;
	private int firstRowIndex = 0;

	private Group selectedGroup;
	private Group updatedGroup = new Group ();

	private String listErrorMessage;
	private String editErrorMessage;

	private UserBean userHandler;
	//private Storage storage;

	public GroupBean ()
	{
		this.groupList = new LinkedList();
		this.roleList = new LinkedList();
		this.groupListModel = new ListDataModel ();

		this.groupListModel.setWrappedData (groupList);
	}

	/*public Storage getStorage ()
	{
		return this.storage;
	}

	public void setStorage (Storage storage)
	{
		this.storage = storage;
	} */

	public UserBean getUserHandler ()
	{
		return this.userHandler;
	}

	public void setUserHandler (UserBean userHandler)
	{
		this.userHandler = userHandler;
	}

	public DataModel getGroupListModel ()
	{
//		try 
//		{ 
			//this.groupList = storage.getGroups (); 
			//this.roleList = getRoles ();
			this.groupListModel.setWrappedData (groupList);
//		}
//		catch (StorageException e) 
//		{ 
//			setListErrorMessage (e.getMessage());
//		}

		return this.groupListModel;
	}

	public int getNumRows ()
	{
		return this.numRows;
	}

	public void setNumRows (int n)
	{
		this.numRows = n;
	}

	public int getFirstRowIndex ()
	{
		return this.firstRowIndex;
	}

	public void setFirstRowIndex (int n)
	{
		this.firstRowIndex = n;
	}

	public boolean isScrollFirstDisabled()
	{
		return firstRowIndex == 0;
	}
    
	public boolean isScrollLastDisabled ()
	{
		return firstRowIndex >= groupListModel.getRowCount() - numRows;
	}
    
	public boolean isScrollPreviousDisabled()
	{
		return firstRowIndex == 0;
	}
    
	public boolean isScrollNextDisabled()
	{
		return firstRowIndex >= groupListModel.getRowCount() - numRows;
	}

	public void scrollFirst ()
	{
		firstRowIndex = 0;
	}
    
	public void scrollLast ()
	{
		firstRowIndex = groupListModel.getRowCount () - numRows;
		if (firstRowIndex < 0) firstRowIndex = 0;
	}
    
	public void scrollPrevious ()
	{
		firstRowIndex -= numRows;
		if (firstRowIndex < 0) firstRowIndex = 0;
	}
    
	public void scrollNext ()
	{
		firstRowIndex += numRows;
	
		int rowCount = groupListModel.getRowCount ();
		if (firstRowIndex >= rowCount)
		{
			firstRowIndex = rowCount - numRows;
			if (firstRowIndex < 0) firstRowIndex = 0;
		}
	}

	public String getListErrorMessage ()
	{
		return this.listErrorMessage;
	}

	public void setListErrorMessage (String msg)
	{
		this.listErrorMessage = msg;
	}

	public String getEditErrorMessage ()
	{
		return this.editErrorMessage;
	}

	public void setEditErrorMessage (String msg)
	{
		this.editErrorMessage = msg;
	}

	public void clearErrorMessages ()
	{
		this.listErrorMessage = "";
		this.editErrorMessage = "";

		if (this.userHandler != null) 
		{
			this.userHandler.clearErrorMessages ();
		}
	}

	public List getRoleList ()
	{
		return this.roleList;
	}

	public void setRoleList (List roleList)
	{
		this.roleList = roleList;
	}

	public void selectGroup ()
	{
		clearErrorMessages ();

		Group group = (Group)groupListModel.getRowData ();		
		if (group == null) clearSelection ();
		else
		{
			this.selectedGroup = group;
			this.updatedGroup.copy (group);
		}
	}

	public Group getSelectedGroup ()
	{
		return this.selectedGroup;
	}

	public void setSelectedGroup (Group g)
	{
		this.selectedGroup = g;
	}

	public Group getUpdatedGroup ()
	{
		return this.updatedGroup;
	}

	public void setUpdatedGroup (Group g)
	{
		this.updatedGroup = g;
	}

	public void addGroup ()
	{
		clearErrorMessages ();

		if (this.updatedGroup.getName().length() <= 0) 
		{
			// TOOD: load message from message catalog
			setEditErrorMessage ("the group name is empty");
			return;
		}

		//try 
		//{ 
			//storage.addGroup (this.updatedGroup);

			//this.groupList = storage.getGroups (); 
			//this.roleList = getRoles ();
			this.groupListModel.setWrappedData (groupList);

			clearSelection ();
		//}
		/*catch (StorageException e)
		{
			setEditErrorMessage (e.getMessage());
		}*/
	}

	public void updateGroup ()
	{
		clearErrorMessages ();

		if (this.selectedGroup == null ||
		    this.updatedGroup.getName().length() <= 0)
		{
			setEditErrorMessage ("the group name is empty");
			return;
		}

		if (this.selectedGroup.equals(this.updatedGroup)) { return; }

		//try 
		//{ 
			//storage.updateGroup (
				//this.selectedGroup, this.updatedGroup);

			//this.groupList = storage.getGroups (); 
			//this.roleList = getRoles ();
			this.groupListModel.setWrappedData (groupList);

			this.selectedGroup.copy (this.updatedGroup);
		//}
//		catch (StorageException e)
//		{
//			setEditErrorMessage (e.getMessage());
//		}
	}

	public void deleteGroup ()
	{
		clearErrorMessages ();

		if (this.selectedGroup == null)
		{
			setEditErrorMessage ("no group is selected");
			return;
		}

//		try 
//		{ 
			//storage.deleteGroup (this.selectedGroup.getName());
			//this.groupList = storage.getGroups (); 
			this.groupListModel.setWrappedData (groupList);

			clearSelection ();
//		}
//		catch (StorageException e)
//		{
//			setEditErrorMessage (e.getMessage());
//		}
	}

	public void clearSelection ()
	{
		this.selectedGroup = null;
		this.updatedGroup.clear ();

		if (this.userHandler != null) 
		{
			this.userHandler.clearSelection ();
		}
	}

	public boolean isAddGroupDisabled ()
	{
		return this.selectedGroup != null;
	}

	public boolean isUpdateGroupDisabled ()
	{
		return this.selectedGroup == null;
	}

	public boolean isDeleteGroupDisabled ()
	{
		return this.selectedGroup == null;
	}

	public boolean isClearSelectionDisabled ()
	{
		return this.selectedGroup == null;
	}


	/*private List getRoles () throws StorageException
	{
		List l = storage.getRoles ();
		List x = new LinkedList ();

		Iterator i = l.iterator ();
		while (i.hasNext())
		{
			Role r = (Role)i.next();
			SelectItem si = (new SelectItem (
				r.getName(), r.getDescription()));
			x.add (si);
		}

		return x;
	}*/

}
