/*
 * $Id: RfqHandler.java,v 1.1 2007/05/14 16:21:31 tomanish Exp $
 */
package com.unimar.shipneeds.view.backingbeans;

import com.unimar.shipneeds.model.businessobjects.Rfq;
import javax.faces.model.DataModel;
import javax.faces.model.ListDataModel;

import java.util.List;
import java.util.LinkedList;

public class RfqHandler
{
    private DataModel rfqModel;
    private int numRowsPerPage = 2;
    private int firstRowIndex = 0;

// construct this list from the permanent storage
List l = new LinkedList ();


    public RfqHandler ()
    {
	rfqModel = new ListDataModel();
    }
    
    public int getNumRowsPerPage ()
    {
	return this.numRowsPerPage;
    }
    
    public void setNumRowsPerPage (int n)
    {
	if (n > 0) this.numRowsPerPage = n;
    }
    
    public int getFirstRowIndex ()
    {
	return this.firstRowIndex;
    }
    
    public void setFirstRowIndex (int n)
    {
	this.firstRowIndex = n;
    }
    
    public DataModel getRfqModel ()
    {
	List rfqs = getRFQs ();
	// TODO: sortRFQs (rfqs);
	rfqModel.setWrappedData (rfqs);	
	return rfqModel;
    }
    
    public List getRFQs ()
    {
	// TODO: load RFQs from the RFQRegistry
	/*
	l.add (new Rfq ("title1", "owner1", "status1"));
	l.add (new Rfq ("title2", "owner2", "status2"));
	l.add (new Rfq ("title3", "owner3", "status3"));
	l.add (new Rfq ("title4", "owner4", "status4"));
	l.add (new Rfq ("title5", "owner5", "status5"));
	l.add (new Rfq ("title6", "owner6", "status6"));
	l.add (new Rfq ("title7", "owner7", "status7"));
	l.add (new Rfq ("title8", "owner8", "status8"));
	l.add (new Rfq ("title9", "owner9", "status9"));
	*/
	
	return l;
    }
    
    public boolean isScrollFirstDisabled()
    {
	return firstRowIndex == 0;
    }
    
    public boolean isScrollLastDisabled ()
    {
	return firstRowIndex >= rfqModel.getRowCount() - numRowsPerPage;
    }
    
    public boolean isScrollPreviousDisabled()
    {
	return firstRowIndex == 0;
    }
    
    public boolean isScrollNextDisabled()
    {
	return firstRowIndex >= rfqModel.getRowCount() - numRowsPerPage;
    }
    
    public void scrollFirst ()
    {
	firstRowIndex = 0;
    }
    
    public void scrollLast ()
    {
	firstRowIndex = rfqModel.getRowCount () - numRowsPerPage;
	if (firstRowIndex < 0) firstRowIndex = 0;
    }
    
    public void scrollPrevious ()
    {
	firstRowIndex -= numRowsPerPage;
	if (firstRowIndex < 0) firstRowIndex = 0;
    }
    
    public void scrollNext ()
    {
	firstRowIndex += numRowsPerPage;
	
	int rowCount = rfqModel.getRowCount ();
	if (firstRowIndex >= rowCount)
	{
	    firstRowIndex = rowCount - numRowsPerPage;
	    if (firstRowIndex < 0) firstRowIndex = 0;
	}
    }
    
    public void addRfq (Rfq rfq)
    {
	l.add (rfq);
    }
    
}
