<%@page contentType="text/html"%>
<%@page pageEncoding="UTF-8"%>

<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h" %>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f" %>

<f:view locale="#{userProfile.locale}">
	<f:loadBundle basename="labels" var="labels" />
	
	<html>
		<head>
			<title>${labels.userAdministration}</title>
			<link rel="stylesheet" type="text/css" href="${pageContext.request.contextPath}/style.css">
		</head>
		
		<body>
			<h:form id="topbar">
				<%@ include file="../WEB-INF/jspf/topbar.jspf" %>
			</h:form>
			
			<table cellpadding=5>
			<tr>
			<td valign=top>

			<h:form>

				<h:dataTable value="#{groupHandler.groupListModel}" var="group"
					rows="#{groupHandler.numRows}" 
					first="#{groupHandler.firstRowIndex}"
					styleClass="tablebg" rowClasses="oddRow, evenRow" 
					columnClasses="left, left, left, left, left">
					
					<h:column>
						<f:facet name="header">
							<h:outputText value="#{labels.name}" />
						</f:facet>
						<h:commandLink action="#{groupHandler.selectGroup}" immediate="true"> 
								<h:outputText value="#{group.name}" />
						</h:commandLink>
					</h:column>
					
					<h:column>
						<f:facet name="header">
							<h:outputText value="#{labels.longName}" />
						</f:facet>
						<h:outputText value="#{group.longName}" />
					</h:column>

					<h:column>
						<f:facet name="header">
							<h:outputText value="#{labels.email}" />
						</f:facet>
						<h:outputText value="#{group.email}" />
					</h:column>
					
					<h:column>
						<f:facet name="header">
							<h:outputText value="#{labels.address}" />
						</f:facet>
						<h:outputText value="#{group.address}" />
					</h:column>

					<h:column>
						<f:facet name="header">
							<h:outputText value="#{labels.role}" />
						</f:facet>
						<h:outputText value="#{group.role.longName}" />
					</h:column>
					
				</h:dataTable>
				
				<h:commandButton value="<<" 
					disabled="#{groupHandler.scrollFirstDisabled}" 
					action="#{groupHandler.scrollFirst}" />
				<h:commandButton value="<" 
					disabled="#{groupHandler.scrollPreviousDisabled}" 
					action="#{groupHandler.scrollPrevious}" />
				<h:commandButton value=">" 
					disabled="#{groupHandler.scrollNextDisabled}" 
					action="#{groupHandler.scrollNext}" />
				<h:commandButton value=">>" 
					disabled="#{groupHandler.scrollLastDisabled}" 
					action="#{groupHandler.scrollLast}" />
				
				${labels.rowsPerPage}: 
				<h:inputText value="#{groupHandler.numRows}" size="3"/>
				<h:commandButton value="#{labels.refresh}" />

				<br>

				<font color="red">${groupHandler.listErrorMessage}</font>
			</h:form>

			</td>

			<td valign="top">

			<h:form>
				<table>
				<tr><td>
				${labels.name}: <h:inputText value="#{groupHandler.updatedGroup.name}" required="true" />
				</td></tr>
				<tr><td>
				${labels.longname}: <h:inputText value="#{groupHandler.updatedGroup.longName}" required="true" />
				</td></tr>
				<tr><td>
				${labels.email}: <h:inputText value="#{groupHandler.updatedGroup.email}" />
				</td></tr>
				<tr><td>
				${labels.address}: <h:inputText value="#{groupHandler.updatedGroup.address}" />
				</td></tr>
				<tr><td>
				${labels.telno}1: <h:inputText value="#{groupHandler.updatedGroup.telno1}" />
				</td></tr>
				<tr><td>
				${labels.telno}2: <h:inputText value="#{groupHandler.updatedGroup.telno2}" />
				</td></tr>
				<tr><td>
				${labels.telno}3: <h:inputText value="#{groupHandler.updatedGroup.telno3}" />
				</td></tr>
				<tr><td>
				${labels.role}: <h:selectOneMenu id="roles" value="#{groupHandler.updatedGroup.role.name}" required="true">
				                <f:selectItems value="#{groupHandler.roleList}" />
				                </h:selectOneMenu>
				</td></tr>

				<tr><td>
				<font color="red">${groupHandler.editErrorMessage}</font>
				</td></tr>
				<tr><td>

				<h:commandButton value="#{labels.add}" 
					disabled="#{groupHandler.addGroupDisabled}" 
					action="#{groupHandler.addGroup}" />
				<h:commandButton value="#{labels.update}" 
					disabled="#{groupHandler.updateGroupDisabled}" 
					action="#{groupHandler.updateGroup}" />
				<h:commandButton value="#{labels.delete}" 
					disabled="#{groupHandler.deleteGroupDisabled}" 
					action="#{groupHandler.deleteGroup}" />
				<h:commandButton value="#{labels.clear}" 
					disabled="#{groupHandler.clearSelectionDisabled}" 
					action="#{groupHandler.clearSelection}" />

				</td></tr>
				</table>
			</h:form>
			</td>
			</tr>

			<tr>
			<td valign="top">

			<h:form>
				${labels.group}: [${userHandler.groupHandler.selectedGroup.name}]<br>

				<h:dataTable value="#{userHandler.userListModel}" var="user"
					rows="#{userHandler.numRows}" 
					first="#{userHandler.firstRowIndex}"
					styleClass="tablebg" rowClasses="oddRow, evenRow" 
					columnClasses="left, left, left">
					
					<h:column>
						<f:facet name="header">
							<h:outputText value="#{labels.name}" />
						</f:facet>
						<h:commandLink action="#{userHandler.selectUser}" immediate="true"> 
							<h:outputText value="#{user.name}" />
						</h:commandLink>
					</h:column>

					<h:column>
						<f:facet name="header">
							<h:outputText value="#{labels.longName}" />
						</f:facet>
						<h:outputText value="#{user.longName}" />
					</h:column>
					
					<h:column>
						<f:facet name="header">
							<h:outputText value="#{labels.email}" />
						</f:facet>
						<h:outputText value="#{user.email}" />
					</h:column>
					
				</h:dataTable>
				
				<h:commandButton value="<<" 
					disabled="#{userHandler.scrollFirstDisabled}" 
					action="#{userHandler.scrollFirst}" />
				<h:commandButton value="<" 
					disabled="#{userHandler.scrollPreviousDisabled}" 
					action="#{userHandler.scrollPrevious}" />
			
				<h:commandButton value=">" 
					disabled="#{userHandler.scrollNextDisabled}" 
					action="#{userHandler.scrollNext}" />
				<h:commandButton value=">>" 
					disabled="#{userHandler.scrollLastDisabled}" 
					action="#{userHandler.scrollLast}" />
			
				${labels.rowsPerPage}: 
				<h:inputText value="#{userHandler.numRows}" size="3"/>
				<h:commandButton value="#{labels.refresh}" />

				<br>

				<font color="red">${userHandler.listErrorMessage}</font>
			</h:form>		

			</td>

			<td valign="top">
			<h:form>
				<table>
				<tr><td>
				${labels.name}: <h:inputText value="#{userHandler.updatedUser.name}" required="true" />
				</td></tr>
				<tr><td>
				${labels.longName}: <h:inputText value="#{userHandler.updatedUser.longName}" required="true" />
				</td></tr>
				<tr><td>
				${labels.password}: <h:inputSecret value="#{userHandler.updatedUser.password}" />
				</td></tr>
				<tr><td>
				${labels.email}: <h:inputText value="#{userHandler.updatedUser.email}" />
				</td></tr>

				<tr><td>
				<font color="red">${userHandler.editErrorMessage}</font>
				</td></tr>
				<tr><td>

				<h:commandButton value="#{labels.add}" 
					disabled="#{userHandler.addUserDisabled}" 
					action="#{userHandler.addUser}" />
				<h:commandButton value="#{labels.update}"
					disabled="#{userHandler.updateUserDisabled}" 
					action="#{userHandler.updateUser}" />
				<h:commandButton value="#{labels.delete}"
					disabled="#{userHandler.deleteUserDisabled}" 
					action="#{userHandler.deleteUser}" />
				<h:commandButton value="#{labels.clear}"
					disabled="#{userHandler.clearSelectionDisabled}" 
					action="#{userHandler.clearSelection}" />

				</td></tr>
				</table>
			</h:form>


			</td>
			</tr>

			</table>
			   
		</body>
	</html>
	
</f:view>
