<%@page contentType="text/html"%>
<%@page pageEncoding="UTF-8"%>

<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h" %>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f" %>

<f:view locale="#{userProfile.locale}">
	<f:loadBundle basename="labels" var="labels" />
	
	<html>
		
		<head>
			<title>${labels.rfqList}</title>
			<link rel="stylesheet" type="text/css" href="${pageContext.request.contextPath}/style.css">
		</head>
		
		<body>
			
			<h:form id="topbar">
				<%@ include file="../WEB-INF/jspf/topbar.jspf" %>
			</h:form>
			
			<h:form id="rfqList">
				
				<h:dataTable value="#{rfqHandler.rfqListModel}" var="rfq"
					rows="#{rfqHandler.numRowsPerPage}" 
					first="#{rfqHandler.firstRowIndex}"
					styleClass="tablebg" rowClasses="oddRow, evenRow" 
					columnClasses="left, left, left, left, left, left">
					
					<h:column>
						<f:facet name="header">
							<h:outputText value="#{labels.number}" />
						</f:facet>
						<h:commandLink action="#{rfqHandler.editRfq}" immediate="true" >
							<h:outputText value="#{rfq.rfqno}" />
						</h:commandLink>
					</h:column>

					<h:column>
						<f:facet name="header">
							<h:outputText value="#{labels.date}" />
						</f:facet>
						
						<h:outputText value="#{rfq.time}">
							<f:convertDateTime pattern="dd/MM/yyyy"/>
						</h:outputText>
					</h:column>
					<h:column>
						<f:facet name="header">
							<h:outputText value="#{labels.time}" />
						</f:facet>
						
						<h:outputText value="#{rfq.time}">
							<f:convertDateTime pattern="HH:mm:ss"/>
						</h:outputText>
					</h:column>
					
					<h:column>
						<f:facet name="header">
							<h:outputText value="#{labels.title}" />
						</f:facet>
						<h:outputText value="#{rfq.title}" />
					</h:column>

					<h:column>
						<f:facet name="header">
							<h:outputText value="#{labels.owner}" />
						</f:facet>
						<h:outputText value="#{rfq.owner}" />
					</h:column>
					
					<h:column>
						<f:facet name="header">
							<h:outputText value="#{labels.status}" />
						</f:facet>
						<h:outputText value="#{rfq.status}" />
					</h:column>
					
				</h:dataTable>
				
				<h:commandButton value="<<" 
				   disabled="#{rfqHandler.scrollFirstDisabled}" 
				   action="#{rfqHandler.scrollFirst}" />
				<h:commandButton value="<" 
				   disabled="#{rfqHandler.scrollPreviousDisabled}" 
				   action="#{rfqHandler.scrollPrevious}" />
				
				<h:commandButton value=">" 
				   disabled="#{rfqHandler.scrollNextDisabled}" 
				   action="#{rfqHandler.scrollNext}" />
				<h:commandButton value=">>" 
				   disabled="#{rfqHandler.scrollLastDisabled}" 
				   action="#{rfqHandler.scrollLast}" />
				
				Rows/page: 
				<h:inputText value="#{rfqHandler.numRowsPerPage}" size="3"/>
				<h:commandButton value="#{labels.refresh}" />
			</h:form>

			<h:form>
				<h:commandButton value="#{labels.new}" action="#{rfqHandler.newRfq}" />
				<h:commandButton value="#{labels.delete}" action="#{rfqHandler.deleteRfq}" />
			</h:form>

		</body>
	</html>
	
</f:view>
