<%@page contentType="text/html"%>
<%@page pageEncoding="UTF-8"%>

<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h" %>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f" %>
<%@ taglib uri="http://myfaces.apache.org/tomahawk" prefix="x" %>

<f:view locale="#{userProfile.locale}">
	<f:loadBundle basename="labels" var="labels" />
	
	<html>
		
		<head>
			<title>${labels.rfqEdit}</title>
			<link rel="stylesheet" type="text/css" href="${pageContext.request.contextPath}/style.css">
		</head>
		
		<body>
			
			<h:form id="topbar">
				<%@ include file="../WEB-INF/jspf/topbar.jspf" %>
			</h:form>
			
			<h:form id="rfqEdit">
				
			${labels.title}: <h:inputText value="#{rfqEditHandler.currentHeader.title}" size="30" />
			<br>
			${labels.preferredSupplier}1: <h:inputText value="#{rfqEditHandler.currentHeader.preferredSupplier1}" />
			<br>
			${labels.preferredSupplier}2: <h:inputText value="#{rfqEditHandler.currentHeader.preferredSupplier2}" />
			<br>
			${labels.preferredSupplier}3: <h:inputText value="#{rfqEditHandler.currentHeader.preferredSupplier3}" />
			<br>
			${labels.comment}: <h:inputTextarea value="#{rfqEditHandler.currentHeader.comment}" cols="60" rows="10" />
			<br>&nbsp;<br>
		
			<h:dataTable value="#{rfqEditHandler.itemListModel}" var="rfqItem"
				styleClass="tablebg" rowClasses="oddRow, evenRow" 
				columnClasses="left, left, left, right, left">
		    
				<h:column>
					<f:facet name="header">
						<h:outputText value="#{labels.item}" />
					</f:facet>
					<h:outputText value="#{rfqItem.longName}" />
			
					<f:facet name="footer">
						<h:inputText value="#{rfqEditHandler.currentItem.longName}" size="30" required="false" />
					</f:facet>
				</h:column>
		    
				<h:column>
					<f:facet name="header">
						<h:outputText value="#{labels.code}" />
					</f:facet>
					<h:outputText value="#{rfqItem.code}" />
			
					<f:facet name="footer">
						<h:inputText value="#{rfqEditHandler.currentItem.code}" size="20" required="false" />
					</f:facet>
				</h:column>
		    
				<h:column>
					<f:facet name="header">
						<h:outputText value="#{labels.preferredBrand}" />
					</f:facet>
					<h:outputText value="#{rfqItem.preferredBrand}" />
			
					<f:facet name="footer">
						<h:inputText value="#{rfqEditHandler.currentItem.preferredBrand}" size="30" required="false" />
					</f:facet>
				</h:column>
		    
				<h:column>
					<f:facet name="header">
						<h:outputText value="#{labels.quantity}" />
					</f:facet>
					<h:outputText value="#{rfqItem.quantity}" />
			
					<f:facet name="footer">
						<h:inputText value="#{rfqEditHandler.currentItem.quantity}" size="5" required="false" />
					</f:facet>
				</h:column>
		    
				<h:column>
					<h:commandButton value="#{labels.delete}" action="#{rfqEditHandler.deleteItem}" />
						<%-- <h:commandButton value="Update" action="#{rfqEditHandler.updateItem}" /> --%>
						<f:facet name="footer">
						    <h:commandButton value="Add" action="#{rfqEditHandler.addItem}" />	
						</f:facet>
					</h:column>
				</h:dataTable>
		
				<h:commandButton value="#{labels.save}" 
					disabled="#{rfqEditHandler.saveRfqNewDisabled}" 
					action="#{rfqEditHandler.saveRfqNew}" />
				<h:commandButton value="#{labels.submit}" 
					disabled="#{rfqEditHandler.submitRfqNewDisabled}" 
					action="#{rfqEditHandler.submitRfqNew}" />
				<h:commandButton value="#{labels.cancel}" 
					disabled="#{rfqEditHandler.cancelRfqNewDisabled}" 
					action="#{rfqEditHandler.cancelRfqNew}" />

			</h:form>
			
			<font color="red">${rfqEditHandler.errorMessage}</font>

			<h:form enctype="multipart/form-data" >
				<%--
				<x:inputFileUpload value="#{rfqHandler.rfqFile}" storage="file" required="true"/>
				--%>
				<x:inputFileUpload value="#{rfqEditHandler.rfqFile}" required="true"/>
				<h:commandButton value="#{labels.uploadRfq}" 
					disabled="#{rfqEditHandler.uploadRfqNewDisabled}"
					action="#{rfqEditHandler.uploadRfqNew}"/>
				
			</h:form>
			
		</body>
	</html>
	
</f:view>
