<%@page contentType="text/html"%>
<%@page pageEncoding="UTF-8"%>

<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h" %>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f" %>

<f:view locale="#{userProfile.locale}">
	<f:loadBundle basename="labels" var="labels" />
	
	<html>
		
		<head>
			<title>${labels.rfqEdit}</title>
			<link rel="stylesheet" type="text/css" href="${pageContext.request.contextPath}/style.css">
		</head>
		
		<body>
			
			<h:form id="topbar">
				<%@ include file="../WEB-INF/jspf/topbar.jspf" %>
			</h:form>
			
			<h:form id="rfqEdit">
				
			${labels.number}: <h:outputText value="#{rfqEditHandler.currentHeader.rfqno}"/>
			${labels.date}: <h:outputText value="#{rfqEditHandler.currentHeader.time}"><f:convertDateTime pattern="dd/MM/yyyy"/></h:outputText>
			${labels.time}: <h:outputText value="#{rfqEditHandler.currentHeader.time}"><f:convertDateTime pattern="HH:mm:ss"/></h:outputText>
			${labels.status}: <h:outputText value="#{rfqEditHandler.currentHeader.status}" />
			<br>
			${labels.title}: <h:outputText value="#{rfqEditHandler.currentHeader.title}" />
			<br>
			${labels.preferredSupplier}1: <h:outputText value="#{rfqEditHandler.currentHeader.preferredSupplier1}" />
			<br>
			${labels.preferredSupplier}2: <h:outputText value="#{rfqEditHandler.currentHeader.preferredSupplier2}" />
			<br>
			${labels.preferredSupplier}3: <h:outputText value="#{rfqEditHandler.currentHeader.preferredSupplier3}" />
			<br>
			${labels.comment}: <h:outputText value="#{rfqEditHandler.currentHeader.comment}" />
			<br>&nbsp;<br>
		
			<h:dataTable value="#{rfqEditHandler.itemListModel}" var="rfqItem"
				styleClass="tablebg" rowClasses="oddRow, evenRow" 
				columnClasses="left, left, left, right, left">
		    
				<h:column>
					<f:facet name="header">
						<h:outputText value="#{labels.item}" />
					</f:facet>
					<h:outputText value="#{rfqItem.longName}" />
				</h:column>
		    
				<h:column>
					<f:facet name="header">
						<h:outputText value="#{labels.code}" />
					</f:facet>
					<h:outputText value="#{rfqItem.code}" />
				</h:column>
		    
				<h:column>
					<f:facet name="header">
						<h:outputText value="#{labels.preferredBrand}" />
					</f:facet>
					<h:outputText value="#{rfqItem.preferredBrand}" />
				</h:column>
		    
				<h:column>
					<f:facet name="header">
						<h:outputText value="#{labels.quantity}" />
					</f:facet>
					<h:outputText value="#{rfqItem.quantity}" />
				</h:column>
		    
				</h:dataTable>
		
				<h:commandButton value="#{labels.cancel}" 
					disabled="#{rfqEditHandler.cancelRfqEditDisabled}" 
					action="#{rfqEditHandler.cancelRfqEdit}" />

			</h:form>
			
			<font color="red">${rfqEditHandler.errorMessage}</font>


			<%--

			QUOTATION LIST...

			--%>
		</body>
	</html>
	
</f:view>
