/*
 * $Id: LoginFilter.java,v 1.3 2007/09/12 06:12:23 bacon Exp $
 */

package com.unimar.shipneeds;

import java.io.IOException;
import java.net.URLEncoder;
import javax.servlet.Filter;
import javax.servlet.FilterChain;
import javax.servlet.FilterConfig;
import javax.servlet.ServletException;
import javax.servlet.ServletRequest;
import javax.servlet.ServletResponse;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

public abstract class LoginFilter implements Filter
{
	
	public LoginFilter ()
	{
	}
	
	public void init (FilterConfig config) throws ServletException
	{
	}
	
	public void destroy ()
	{
	}
	
	public void doFilter (ServletRequest req, ServletResponse res, FilterChain chain) throws IOException, ServletException
	{
		HttpServletRequest hreq = (HttpServletRequest)req;
		HttpServletResponse hres = (HttpServletResponse)res;
		HttpSession hses = hreq.getSession ();
		
		String page = hreq.getPathTranslated ();
		SessionBean1 sb = (SessionBean1)hses.getAttribute("SessionBean1");
		
		/*
		Enumeration e = hses.getAttributeNames ();
		while (e.hasMoreElements ())
		{
			String x = (String)e.nextElement ();
			System.out.println (x);
		}*/

		boolean isJspPage = page.endsWith (".jsp");
		boolean isLoginPage = page.endsWith ("LoginPage.jsp");
		boolean isDispatchPage = page.endsWith ("DispatchPage.jsp");
		
		if (isJspPage && !isLoginPage)
		{
			String loginName = null;			
			if (sb != null)	loginName = getLoginName(sb);
						
			if (loginName == null || loginName.length () == 0)
			{	
				/*System.err.println (page);
				System.err.println (hreq.getRequestURL());
				System.err.println (hreq.getRequestURI());
				System.err.println (hreq.getContextPath ());
				System.err.println (hreq.getQueryString ());*/
				
				String uri = hreq.getRequestURI ();
				String qs = hreq.getQueryString ();
				if (qs != null)	uri = uri + "?" + qs;
				String enc = URLEncoder.encode (uri, "utf-8");
				hres.sendRedirect ("./LoginPage.jsp?target=" + enc);
				
				//RequestDispatcher rd = hreq.getRequestDispatcher ("./LoginPage.jsp?target=" + enc);
				//rd.forward (hreq, hres);
				
				/*
				FacesContext ctx = FacesContext.getCurrentInstance ();
				ExternalContext ectx = ctx.getExternalContext();
				Map map = ectx.getRequestMap ();
				map.put("target", hreq.getRequestURI ());
				hres.sendRedirect ("./LoginPage.jsp");
				*/
				return;
			}
		}

		if (sb != null)
		{			
			String target = getLoginTarget (sb);
			if (target != null && target.length () > 0)
			{
				// redirect to the orginal target page
				setLoginTarget (sb, null);
				hres.sendRedirect (target);
				return;
			}
			else if (isDispatchPage)
			{
				/* the url to the dispatch page have been entered directly.
				 * in this case, the previous if block will be executed and 
				 * the target is set to null. when the actual DispatchPage.jsp
				 * is loaded, this block is hit. anyway, redirect the request 
				 * to the main page */
				hres.sendRedirect ("./MainPage.jsp");
				return;
			}
		}
		
		chain.doFilter (req, res);
	}
	
	abstract protected String getLoginName (SessionBean1 sb);
	abstract protected void setLoginName (SessionBean1 sb, String str);
	abstract protected String getLoginTarget (SessionBean1 sb);
	abstract protected void setLoginTarget (SessionBean1 sb, String str);
}
