/*
 * $Id: Buyer.java,v 1.1 2007/09/18 14:10:39 bacon Exp $
 */

package com.unimar.shipneeds.model;

import com.unimar.shipneeds.util.Limit;
import java.io.Serializable;
import java.util.ArrayList;

public class Buyer extends IdTaggedObject implements Serializable
{
	private String name;

	private String contact;
	private String department;
	private String address;
	private String zipcode;
	private Country country;
	private String email;
	private String telno;
	private String faxno;
	private String telex;

	private boolean active;
	private String remarks;

	public static Buyer MIN = new Buyer (
		Long.MIN_VALUE, 
		Limit.STRING_MIN, 
		Limit.STRING_MIN,
		Limit.STRING_MIN,
		Limit.STRING_MIN,
		Limit.STRING_MIN,
		Country.MIN,
		Limit.STRING_MIN,
		Limit.STRING_MIN,
		Limit.STRING_MIN,
		Limit.STRING_MIN,
		false, Limit.STRING_MIN);

	public static Buyer MAX = new Buyer (
		Long.MAX_VALUE, 
		Limit.STRING_MAX, 
		Limit.STRING_MAX,
		Limit.STRING_MAX,
		Limit.STRING_MAX,
		Limit.STRING_MAX,
		Country.MAX,
		Limit.STRING_MAX,
		Limit.STRING_MAX,
		Limit.STRING_MAX,
		Limit.STRING_MAX,
		true, Limit.STRING_MAX);

	public Buyer ()
	{
		this (ID_NEW, "", "", "", "", "", 
		      new Country(), "", "", "", "", false, "");
	}
	
	public Buyer (
		String name,
		String contact,
		String department,
		String address,
		String zipcode,
		Country country,
		String email,
		String telno,
		String faxno,
		String telex, 
		boolean active, 
		String remarks)
	{
		this (ID_NEW, name, contact, department, 
		      address, zipcode, country, email, 
		      telno, faxno, telex, active, remarks);
	}
	
	public Buyer (
		long id, 
		String name, 
		String contact,
		String department,
		String address,
		String zipcode,
		Country country,
		String email,
		String telno,
		String faxno,
		String telex,
		boolean active, 
		String remarks)
	{
		super (id);
		
		this.name = name;

		this.contact = contact;
		this.department = department;
		this.address = address;
		this.zipcode = zipcode;
		this.country = country;
		this.email = email;
		this.telno = telno;
		this.faxno = faxno;
		this.telex = telex;

		this.active = active;
		this.remarks = remarks;
	}
	
	public String getName ()
	{
		return this.name;
	}
	
	public void setName (String name)
	{
		this.name = name;
	}

	public String getContact ()
	{
		return this.contact;
	}
	
	public void setContact (String contact)
	{
		this.contact = contact;
	}

	public String getDepartment ()
	{
		return this.department;
	}
	
	public void setDepartment (String department)
	{
		this.department = department;
	}

	public String getAddress ()
	{
		return this.address;
	}
	
	public void setAddress (String address)
	{
		this.address = address;
	}

	public String getZipcode ()
	{
		return this.zipcode;
	}
	
	public void setZipcode (String zipcode)
	{
		this.zipcode = zipcode;
	}

	public Country getCountry ()
	{
		return this.country;
	}
	
	public void setCountry (Country country)
	{
		this.country = country;
	}

	public String getEmail ()
	{
		return this.email;
	}
	
	public void setEmail (String email)
	{
		this.email = email;
	}

	public String getTelno ()
	{
		return this.telno;
	}
	
	public void setTelno (String telno)
	{
		this.telno = telno;
	}

	public String getFaxno ()
	{
		return this.faxno;
	}

	public void setFaxno (String faxno)
	{
		this.faxno = faxno;
	}

	public String getTelex ()
	{
		return this.telex;
	}

	public void setTelex (String telex)
	{
		this.telex = telex;
	}

	public boolean getActive ()
	{
		return this.active;
	}
	
	public void setActive (boolean active)
	{
		this.active = active;
	}
	
	public String getRemarks ()
	{
		return this.remarks;
	}
	
	public void setRemarks (String remarks)
	{
		this.remarks = remarks;
	}

	public String toString ()
	{
		return this.name;
	}

}
