/*
 * $Id: Country.java,v 1.7 2007/09/10 14:34:54 bacon Exp $
 */

package com.unimar.shipneeds.model;

import com.unimar.shipneeds.util.Limit;
import java.io.Serializable;

public class Country extends IdTaggedObject implements Serializable
{
	private String name;
	private boolean active;
	private String remarks;

	public static Country MIN = new Country (
		Long.MIN_VALUE, Limit.STRING_MIN, false, Limit.STRING_MIN);

	public static Country MAX = new Country (
		Long.MAX_VALUE, Limit.STRING_MAX, true, Limit.STRING_MAX);

	public Country ()
	{
		this (ID_NEW, "", false, "");
	}
	
	public Country (String name, boolean active, String remarks)
	{
		this (ID_NEW, name, active, remarks);
	}
	
	public Country (long id, String name, boolean active, String remarks)
	{
		super (id);
		
		this.name = name;
		this.active = active;
		this.remarks = remarks;
	}
	
	public String getName ()
	{
		return this.name;
	}
	
	public void setName (String name)
	{
		this.name = name;
	}
	
	public boolean getActive ()
	{
		return this.active;
	}
	
	public void setActive (boolean active)
	{
		this.active = active;
	}
	
	public String getRemarks ()
	{
		return this.remarks;
	}
	
	public void setRemarks (String remarks)
	{
		this.remarks = remarks;
	}

	public String toString ()
	{
		return this.name;
	}
}
