/*
 * $Id: Port.java,v 1.3 2007/09/10 14:34:54 bacon Exp $
 */

package com.unimar.shipneeds.model;

import com.unimar.shipneeds.util.Limit;
import java.io.Serializable;

public class Port extends IdTaggedObject implements Serializable
{
	private String name;
	private Country country;
	private boolean active;
	private String remarks;

	public static Port MIN = new Port (
		Long.MIN_VALUE, Limit.STRING_MIN, 
		Country.MIN, false, Limit.STRING_MIN);

	public static Port MAX = new Port (
		Long.MAX_VALUE, Limit.STRING_MAX, 
		Country.MAX, true, Limit.STRING_MAX);

	public Port ()
	{
		this (ID_NEW, "", new Country(), false, "");
	}
	
	public Port (String name, Country country, boolean active, String remarks)
	{
		this (ID_NEW, name, country, active, remarks);
	}
	
	public Port (long id, String name, Country country, boolean active, String remarks)
	{
		super (id);
		this.name = name;
		this.country = country;
		this.active = active;
		this.remarks = remarks;
	}
	
	public String getName ()
	{
		return this.name;
	}
	
	public void setName (String name)
	{
		this.name = name;
	}

	public Country getCountry ()
	{
		return this.country;
	}

	public void setCountry (Country country)
	{
		this.country = country;
	}
	
	public boolean getActive ()
	{
		return this.active;
	}

	public void setActive (boolean active)
	{
		this.active = active;
	}
	
	public String getRemarks ()
	{
		return this.remarks;
	}
	
	public void setRemarks (String remarks)
	{
		this.remarks = remarks;
	}

	public String toString ()
	{
		return this.name;
	}

}

