/*
 * $Id: Product.java,v 1.1 2007/09/29 01:30:10 bacon Exp $
 */

package com.unimar.shipneeds.model;

import com.unimar.shipneeds.util.Limit;
import java.io.Serializable;

public class Product extends IdTaggedObject implements Serializable
{	
	private String code;
	private String name;
	private String unit;
	private boolean active;
	private String remarks;

	public static Product MIN = new Product (
		Long.MIN_VALUE, Limit.STRING_MIN, 
		Limit.STRING_MIN, Limit.STRING_MIN, false, Limit.STRING_MIN);

	public static Product MAX = new Product (
		Long.MAX_VALUE, Limit.STRING_MAX,
		Limit.STRING_MAX, Limit.STRING_MAX, true, Limit.STRING_MAX);

	public Product ()
	{
		this (ID_NEW, "", "", "", false, "");
	}
	
	public Product (
		String code, String name, 
		String unit, boolean active, String remarks)
	{
		this (ID_NEW, code, name, unit, active, remarks);
	}
	
	public Product (
		long id, String code,  
		String name, String unit, boolean active, String remarks)
	{
		super (id);
		this.code = code;
		this.name = name;
		this.unit = unit;
		this.active = active;
		this.remarks = remarks;
	}
	
	public String getCode ()
	{
		return this.code;
	}
	
	public void setCode (String code)
	{
		this.code = code;
	}

	public String getName ()
	{
		return this.name;
	}
	
	public void setName (String name)
	{
		this.name = name;
	}

	public String getUnit ()
	{
		return this.unit;
	}
	
	public void setUnit (String unit)
	{
		this.unit = unit;
	}
	
	public boolean getActive ()
	{
		return this.active;
	}
	
	public void setActive (boolean active)
	{
		this.active = active;
	}
	
	public String getRemarks ()
	{
		return this.remarks;
	}
	
	public void setRemarks (String remarks)
	{
		this.remarks = remarks;
	}
}
