/*
 * $Id: Supplier.java,v 1.4 2007/09/16 16:10:44 bacon Exp $
 */

package com.unimar.shipneeds.model;

import com.unimar.shipneeds.util.Limit;
import java.io.Serializable;
import java.util.ArrayList;

public class Supplier extends IdTaggedObject implements Serializable
{

	public class Categories extends ArrayList implements Serializable
	{
		public Categories ()
		{
		}

		public String toString ()
		{
			StringBuffer buf = new StringBuffer();
			
			int s = this.size();
			String[] arr = new String[s];
			
			for (int i = 0; i < s; i++)			
			{
				if (i > 0) buf.append (",");
				buf.append (((SupplierCategory)this.get(i)).getName());
			}
			
			return buf.toString ();
		}
		
		public String[] toNameArray ()
		{
			int s = this.size();
			String[] arr = new String[s];
			
			for (int i = 0; i < s; i++)			
				arr[i] = ((SupplierCategory)this.get(i)).getName();
			
			return arr;
		}
	}

	public class Ports extends ArrayList implements Serializable
	{
		public Ports ()
		{
		}

		public String toString ()
		{
			StringBuffer buf = new StringBuffer();
			
			int s = this.size();
			String[] arr = new String[s];
			
			for (int i = 0; i < s; i++)			
			{
				if (i > 0) buf.append (",");
				buf.append (((Port)this.get(i)).getName());
			}
			
			return buf.toString ();
		}
		
		public String[] toNameArray ()
		{
			int s = this.size();
			String[] arr = new String[s];
			
			for (int i = 0; i < s; i++)			
				arr[i] = ((Port)this.get(i)).getName();
			
			return arr;
		}
	}

	private String name;

	private String contact;
	private String department;
	private String address;
	private String zipcode;
	private Country country;
	private String email;
	private String telno;
	private String faxno;
	private String telex;

	private boolean active;
	private String remarks;

	private Categories categories;
	private Ports ports;

	public static Supplier MIN = new Supplier (
		Long.MIN_VALUE, 
		Limit.STRING_MIN, 
		Limit.STRING_MIN,
		Limit.STRING_MIN,
		Limit.STRING_MIN,
		Limit.STRING_MIN,
		Country.MIN,
		Limit.STRING_MIN,
		Limit.STRING_MIN,
		Limit.STRING_MIN,
		Limit.STRING_MIN,
		false, Limit.STRING_MIN);

	public static Supplier MAX = new Supplier (
		Long.MAX_VALUE, 
		Limit.STRING_MAX, 
		Limit.STRING_MAX,
		Limit.STRING_MAX,
		Limit.STRING_MAX,
		Limit.STRING_MAX,
		Country.MAX,
		Limit.STRING_MAX,
		Limit.STRING_MAX,
		Limit.STRING_MAX,
		Limit.STRING_MAX,
		true, Limit.STRING_MAX);

	public Supplier ()
	{
		this (ID_NEW, "", "", "", "", "", 
		      new Country(), "", "", "", "", false, "");
	}
	
	public Supplier (
		String name,
		String contact,
		String department,
		String address,
		String zipcode,
		Country country,
		String email,
		String telno,
		String faxno,
		String telex, 
		boolean active, 
		String remarks)
	{
		this (ID_NEW, name, contact, department, 
		      address, zipcode, country, email, 
		      telno, faxno, telex, active, remarks);
	}
	
	public Supplier (
		long id, 
		String name, 
		String contact,
		String department,
		String address,
		String zipcode,
		Country country,
		String email,
		String telno,
		String faxno,
		String telex,
		boolean active, 
		String remarks)
	{
		super (id);
		
		this.name = name;

		this.contact = contact;
		this.department = department;
		this.address = address;
		this.zipcode = zipcode;
		this.country = country;
		this.email = email;
		this.telno = telno;
		this.faxno = faxno;
		this.telex = telex;

		this.active = active;
		this.remarks = remarks;

		this.categories = null;
		this.ports = null;
	}
	
	public String getName ()
	{
		return this.name;
	}
	
	public void setName (String name)
	{
		this.name = name;
	}

	public String getContact ()
	{
		return this.contact;
	}
	
	public void setContact (String contact)
	{
		this.contact = contact;
	}

	public String getDepartment ()
	{
		return this.department;
	}
	
	public void setDepartment (String department)
	{
		this.department = department;
	}

	public String getAddress ()
	{
		return this.address;
	}
	
	public void setAddress (String address)
	{
		this.address = address;
	}

	public String getZipcode ()
	{
		return this.zipcode;
	}
	
	public void setZipcode (String zipcode)
	{
		this.zipcode = zipcode;
	}

	public Country getCountry ()
	{
		return this.country;
	}
	
	public void setCountry (Country country)
	{
		this.country = country;
	}

	public String getEmail ()
	{
		return this.email;
	}
	
	public void setEmail (String email)
	{
		this.email = email;
	}

	public String getTelno ()
	{
		return this.telno;
	}
	
	public void setTelno (String telno)
	{
		this.telno = telno;
	}

	public String getFaxno ()
	{
		return this.faxno;
	}

	public void setFaxno (String faxno)
	{
		this.faxno = faxno;
	}

	public String getTelex ()
	{
		return this.telex;
	}

	public void setTelex (String telex)
	{
		this.telex = telex;
	}

	public boolean getActive ()
	{
		return this.active;
	}
	
	public void setActive (boolean active)
	{
		this.active = active;
	}
	
	public String getRemarks ()
	{
		return this.remarks;
	}
	
	public void setRemarks (String remarks)
	{
		this.remarks = remarks;
	}

	public Categories getCategories ()
	{
		return this.categories;
	}

	public void setCategories (Categories categories)
	{
		this.categories = categories;
	}

	public Ports getPorts ()
	{
		return this.ports;
	}

	public void setPorts (Ports ports)
	{
		this.ports = ports;
	}

	public String toString ()
	{
		return this.name;
	}

}
