/*
 * $Id: SupplierUser.java,v 1.1 2007/09/22 13:46:01 bacon Exp $
 */

package com.unimar.shipneeds.model;

import com.unimar.shipneeds.util.Limit;
import java.io.Serializable;

public class SupplierUser extends IdTaggedObject implements Serializable
{	
	private String userid;
	private String password;
	private String name;
	private String email;
	private Supplier supplier;
	private boolean admin;
	private boolean active;
	private String remarks;

	public static SupplierUser MIN = new SupplierUser (
		Long.MIN_VALUE, Limit.STRING_MIN, Limit.STRING_MIN, 
		Limit.STRING_MIN, Limit.STRING_MIN, Supplier.MIN, 
		false, false, Limit.STRING_MIN);

	public static SupplierUser MAX = new SupplierUser (
		Long.MAX_VALUE, Limit.STRING_MAX, Limit.STRING_MAX, 
		Limit.STRING_MAX, Limit.STRING_MAX, Supplier.MAX,
		true, true, Limit.STRING_MAX);

	public SupplierUser ()
	{
		this (ID_NEW, "", "", "", "", 
		      new Supplier(), false, false, "");
	}
	
	public SupplierUser (
		String userid, String password, String name, 
		String email, Supplier supplier, boolean admin, 
		boolean active, String remarks)
	{
		this (ID_NEW, userid, password, name, email, 
		      supplier, admin, active, remarks);
	}
	
	public SupplierUser (
		long id, String userid, String password, String name, 
		String email, Supplier supplier, boolean admin,
		boolean active, String remarks)
	{
		super (id);
		this.userid = userid;
		this.password = password;
		this.name = name;
		this.email = email;
		this.supplier = supplier;
		this.admin = admin;
		this.active = active;
		this.remarks = remarks;
	}
	
	public String getUserid ()
	{
		return this.userid;
	}
	
	public void setUserid (String userid)
	{
		this.userid = userid;
	}

	public String getPassword ()
	{
		return this.password;
	}
	
	public void setPassword (String password)
	{
		this.password = password;
	}

	public String getName ()
	{
		return this.name;
	}
	
	public void setName (String name)
	{
		this.name = name;
	}

	public String getEmail ()
	{
		return this.email;
	}
	
	public void setEmail (String email)
	{
		this.email = email;
	}
	
	public Supplier getSupplier ()
	{
		return this.supplier;
	}

	public void setSupplier (Supplier supplier)
	{
		this.supplier = supplier;
	}

	public boolean getAdmin ()
	{
		return this.admin;
	}
	
	public void setAdmin (boolean admin)
	{
		this.admin = admin;
	}

	public boolean getActive ()
	{
		return this.active;
	}
	
	public void setActive (boolean active)
	{
		this.active = active;
	}
	
	public String getRemarks ()
	{
		return this.remarks;
	}
	
	public void setRemarks (String remarks)
	{
		this.remarks = remarks;
	}
}
