/*
 * $Id: SystemUser.java,v 1.3 2007/09/10 14:34:54 bacon Exp $
 */

package com.unimar.shipneeds.model;

import com.unimar.shipneeds.util.Limit;
import java.io.Serializable;

public class SystemUser extends IdTaggedObject implements Serializable
{	
	private String userid;
	private String password;
	private String name;
	private String email;
	private boolean active;
	private String remarks;

	public static SystemUser MIN = new SystemUser (
		Long.MIN_VALUE, Limit.STRING_MIN, Limit.STRING_MIN, 
		Limit.STRING_MIN, Limit.STRING_MIN, false, Limit.STRING_MIN);

	public static SystemUser MAX = new SystemUser (
		Long.MAX_VALUE, Limit.STRING_MAX, Limit.STRING_MAX, 
		Limit.STRING_MAX, Limit.STRING_MAX, true, Limit.STRING_MAX);

	public SystemUser ()
	{
		this (ID_NEW, "", "", "", "", false, "");
	}
	
	public SystemUser (
		String userid, String password, 
		String name, String email, boolean active, String remarks)
	{
		this (ID_NEW, userid, password, name, email, active, remarks);
	}
	
	public SystemUser (
		long id, String userid, String password, 
		String name, String email, boolean active, String remarks)
	{
		super (id);
		this.userid = userid;
		this.password = password;
		this.name = name;
		this.email = email;
		this.active = active;
		this.remarks = remarks;
	}
	
	public String getUserid ()
	{
		return this.userid;
	}
	
	public void setUserid (String userid)
	{
		this.userid = userid;
	}

	public String getPassword ()
	{
		return this.password;
	}
	
	public void setPassword (String password)
	{
		this.password = password;
	}

	public String getName ()
	{
		return this.name;
	}
	
	public void setName (String name)
	{
		this.name = name;
	}

	public String getEmail ()
	{
		return this.email;
	}
	
	public void setEmail (String email)
	{
		this.email = email;
	}
	
	public boolean getActive ()
	{
		return this.active;
	}
	
	public void setActive (boolean active)
	{
		this.active = active;
	}
	
	public String getRemarks ()
	{
		return this.remarks;
	}
	
	public void setRemarks (String remarks)
	{
		this.remarks = remarks;
	}
}
