/*
 * $Id: Vessel.java,v 1.5 2007/09/19 15:34:20 bacon Exp $
 */

package com.unimar.shipneeds.model;

import com.unimar.shipneeds.util.Limit;
import java.io.Serializable;

public class Vessel extends IdTaggedObject implements Serializable
{
	private String name;
	private Buyer buyer;
	private Country country;
	private String callSign;
	private String owner;
	private boolean active;
	private String remarks;

	public static Vessel MIN = new Vessel (
		Long.MIN_VALUE, Limit.STRING_MIN, Buyer.MIN, Country.MIN, 
		Limit.STRING_MIN, Limit.STRING_MIN, false, Limit.STRING_MIN);

	public static Vessel MAX = new Vessel (
		Long.MAX_VALUE, Limit.STRING_MAX, Buyer.MAX, Country.MAX, 
		Limit.STRING_MAX, Limit.STRING_MAX, true, Limit.STRING_MAX);

	public Vessel ()
	{
		this (ID_NEW, "", new Buyer(), new Country(), "", "", false, "");
	}
	
	public Vessel (String name, Buyer buyer, Country country, String callSign, String owner, boolean active, String remarks)
	{
		this (ID_NEW, name, buyer, country, callSign, owner, active, remarks);
	}
	
	public Vessel (long id, String name, Buyer buyer, Country country, String callSign, String owner, boolean active, String remarks)
	{
		super (id);
		this.name = name;
		this.buyer = buyer;
		this.country = country;
		this.callSign = callSign;
		this.owner = owner;
		this.active = active;
		this.remarks = remarks;
	}
	
	public String getName ()
	{
		return this.name;
	}
	
	public void setName (String name)
	{
		this.name = name;
	}
	
	public Buyer getBuyer ()
	{
		return this.buyer;
	}
	
	public void setBuyer (Buyer buyer)
	{
		this.buyer = buyer;
	}

	public Country getCountry ()
	{
		return this.country;
	}
	
	public void setCountry (Country country)
	{
		this.country = country;
	}
	
	public String getCallSign ()
	{
		return this.callSign;
	}
	
	public void setCallSign (String callSign)
	{
		this.callSign = callSign;
	}
	
	public String getOwner ()
	{
		return this.owner;
	}
	
	public void setOwner (String owner)
	{
		this.owner = owner;
	}
	
	public boolean getActive ()
	{
		return this.active;
	}
	
	public void setActive (boolean active)
	{
		this.active = active;
	}
	
	public String getRemarks ()
	{
		return this.remarks;
	}
	
	public void setRemarks (String remarks)
	{
		this.remarks = remarks;
	}

	public String toString ()
	{
		return this.name;
	}

}

