/*
 * $Id: Resource.java,v 1.2 2007/09/17 06:53:28 bacon Exp $
 */

package com.unimar.shipneeds.util;

import java.text.MessageFormat;
import java.util.Locale;
import java.util.MissingResourceException;
import java.util.ResourceBundle;
import javax.faces.context.FacesContext;

public class Resource
{
	protected static ClassLoader getCurrentClassLoader (Object defaultObject)
	{
		ClassLoader loader = Thread.currentThread ().getContextClassLoader ();
		if(loader == null)
		{
			loader = defaultObject.getClass ().getClassLoader ();
		}
		return loader;
	}
	
	public static String getMessageResourceString (
		String bundleName, String key, Object params[], Locale locale)
	{
		String text = null;
		ResourceBundle bundle = ResourceBundle.getBundle (bundleName, locale, getCurrentClassLoader (params));
		try
			
		{
			text = bundle.getString (key);
		}
		catch(MissingResourceException e)
		{
			text = "?? key " + key + " not found ??";
		}
		if(params != null)
		{
			MessageFormat mf = new MessageFormat (text, locale);
			text = mf.format (params, new StringBuffer (), null).toString ();
		}
		return text;
	}
	
	public static String getMessageString (FacesContext context, String key)
	{
		String bundle = context.getApplication().getMessageBundle();
		Locale locale = context.getViewRoot().getLocale();		
		return Resource.getMessageResourceString (bundle, key, null, locale);
	}
}
