/*
 * $Id: Serializer.java,v 1.1 2007/07/28 05:52:38 bacon Exp $
 */

package com.unimar.shipneeds.util;

import java.io.ByteArrayInputStream;
import java.io.ByteArrayOutputStream;
import java.io.ObjectInputStream;
import java.io.ObjectOutputStream;

public class Serializer
{
	public static String arrayToString (Object[] objects)
	{
		ByteArrayOutputStream baos = null;
		ObjectOutputStream oos = null;

		try
		{
			baos = new ByteArrayOutputStream ();
			oos = new ObjectOutputStream (baos);
			oos.writeObject (objects);
			byte[] bytes = baos.toByteArray ();					
			return Base64.encodeBytes (bytes);
		}
		catch (Exception e) { return null; }
		finally 
		{
			if (oos != null) 
			{
				try { oos.close (); } catch (Exception e) {}
			}
			else if (baos != null) 
			{
				try { baos.close ();} catch (Exception e) {}
			}
		}
	}
	
	public static Object[] stringToArray (String objectsString)
	{
		byte[] bytes = Base64.decode (objectsString);
		
		ByteArrayInputStream bais = null;
		ObjectInputStream ois = null;
		
		try
		{
			bais = new ByteArrayInputStream (bytes);
			ois = new ObjectInputStream (bais);
			return (Object[])ois.readObject ();
		}
		catch (Exception e) { return null; }
		finally
		{
			if (ois != null) 
			{
				try { ois.close (); } catch (Exception e) {}
			}
			else if (bais != null) 
			{
				try { bais.close (); } catch (Exception e) {}
			}
		}
	}
	
	public static String objectToString (Object object)
	{
		ByteArrayOutputStream baos = null;
		ObjectOutputStream oos = null;

		try
		{
			baos = new ByteArrayOutputStream ();
			oos = new ObjectOutputStream (baos);
			oos.writeObject (object);
			byte[] bytes = baos.toByteArray ();					
			return Base64.encodeBytes (bytes);
		}
		catch (Exception e) { return null; }
		finally 
		{
			if (oos != null) 
			{
				try { oos.close (); } catch (Exception e) {}
			}
			else if (baos != null) 
			{
				try { baos.close ();} catch (Exception e) {}
			}
		}
	}
	
	public static Object stringToObject (String objectString)
	{
		byte[] bytes = Base64.decode (objectString);
		
		ByteArrayInputStream bais = null;
		ObjectInputStream ois = null;
		
		try
		{
			bais = new ByteArrayInputStream (bytes);
			ois = new ObjectInputStream (bais);
			return ois.readObject ();
		}
		catch (Exception e) { return null; }
		finally
		{
			if (ois != null) 
			{
				try { ois.close (); } catch (Exception e) {}
			}
			else if (bais != null) 
			{
				try { bais.close (); } catch (Exception e) {}
			}
		}
	}
}
