/*
 * $Id: DefaultViewFilter.java,v 1.1 2007/09/11 11:24:22 bacon Exp $
 */

package com.unimar.shipneeds.view;

import java.io.Serializable;

public class DefaultViewFilter implements ViewFilter, Serializable
{
	public static final int SORT_KEY_ID = 0;
	public static final int SEARCH_KEY_NONE = 0;
	public static final int STATUS_KEY_ALL = 0;
	
	protected int sortKey;
	protected int searchKey;
	protected String searchWord;
	protected int statusKey;
	protected int limit;
	
	public DefaultViewFilter ()
	{
		// sort key is set to be the id field
		sortKey = SORT_KEY_ID;
		
		// no search key is set by default 
		searchKey = SEARCH_KEY_NONE;
		searchWord = null;

		// status key set to all
		statusKey = STATUS_KEY_ALL;
		
		// default limit 15
		limit = 10;
	}
	
	public int getSortKey ()
	{
		return sortKey;
	}
	
	public void setSortKey (int sortKey)
	{
		this.sortKey = sortKey;
	}
	
	public int getSearchKey ()
	{
		return searchKey;
	}
	
	public void setSearchKey (int searchKey)
	{
		this.searchKey = searchKey;
	}
	
	public String getSearchWord ()
	{
		return searchWord;
	}
	
	public void setSearchWord (String searchWord)
	{
		this.searchWord = searchWord;
	}
	
	public int getStatusKey ()
	{
		return statusKey;
	}
	
	public void setStatusKey (int statusKey)
	{
		this.statusKey = statusKey;
	}
	
	public int getLimit ()
	{
		return limit;
	}
	
	public void setLimit (int limit)
	{
		this.limit = limit;
	}
}
