<?xml version="1.0" encoding="UTF-8"?>
<jsp:root version="1.2" xmlns:f="http://java.sun.com/jsf/core" xmlns:h="http://java.sun.com/jsf/html" xmlns:jsp="http://java.sun.com/JSP/Page" xmlns:ui="http://www.sun.com/web/ui">
    <jsp:directive.page contentType="text/html;charset=UTF-8" pageEncoding="UTF-8"/>
    <script language="javascript">
	function initAllRows() {
		var table = document.getElementById("form1:buyerUserTable");
		table.initAllRows();
	}
	
	function disableButtons() {
		// Disable table actions by default.
		var table = document.getElementById("form1:buyerUserTable");
		var selections = table.getAllSelectedRowsCount(); 
		var disabled = !(selections &gt; 0);

		// Set disabled state for top actions.
		document.getElementById("form1:buyerUserTable:actionsTop:deleteButton").setDisabled(disabled);
		document.getElementById("form1:buyerUserTable:actionsTop:activateButton").setDisabled(disabled);
		document.getElementById("form1:buyerUserTable:actionsTop:deactivateButton").setDisabled(disabled);
	}		
	
	function confirmDeleteSelectedRows() {
		var table = document.getElementById("form1:buyerUserTable");
		return table.confirmDeleteSelectedRows();
	}
	 
	function confirmActivateSelectedRows() {
		var table = document.getElementById("form1:buyerUserTable");
		return table.confirmSelectedRows("\n\nActivate all selections?");
	}
	
	function confirmDeactivateSelectedRows() {
		var table = document.getElementById("form1:buyerUserTable");
		return table.confirmSelectedRows("\n\nDeactivate all selections?");
	}
	</script>
    <f:view>
        <ui:page binding="#{admin$BuyerUserViewPage.page1}" id="page1">
            <ui:html binding="#{admin$BuyerUserViewPage.html1}" id="html1">
                <f:loadBundle basename="com.unimar.shipneeds.Messages" var="msgBundle"/>
                <ui:head binding="#{admin$BuyerUserViewPage.head1}" id="head1">
		    <jsp:include page="/resources/yui.inc"/>
                    <ui:link binding="#{admin$BuyerUserViewPage.link1}" id="link1" url="/resources/stylesheet.css"/>
                </ui:head>
                <ui:body binding="#{admin$BuyerUserViewPage.body1}" id="body1" style="-rave-layout: grid" styleClass="yui-skin-sam">
                    <ui:form binding="#{admin$BuyerUserViewPage.form1}" id="form1">
                        <jsp:directive.include file="AdminNavigationFragment.jspf"/>
                        <ui:hiddenField binding="#{admin$BuyerUserViewPage.buyerUserListStringHiddenField}" id="buyerUserListStringHiddenField" text="#{admin$BuyerUserViewPage.buyerUserListString}"/>
                        <h:panelGrid binding="#{admin$BuyerUserViewPage.buyerUserViewPanel}" id="buyerUserViewPanel"
                            style="height: 196px; left: 120px; top: 72px; position: absolute" width="90%">
                            <h:panelGrid binding="#{admin$BuyerUserViewPage.gridPanel2}" id="gridPanel2"
                                style="border-width: 1px; border-style: groove; height: 72px;" width="90%">
                                <h:panelGrid binding="#{admin$BuyerUserViewPage.gridPanel1}" columns="4" id="gridPanel1"
                                    style="margin: 1px; padding: 1px; height: 24px" width="336">
                                    <ui:dropDown binding="#{admin$BuyerUserViewPage.statusKeyDropDown}" id="statusKeyDropDown"
                                        items="#{admin$BuyerUserViewPage.statusKeyOptionsList.options}" label="Show"
                                        selected="#{admin$BuyerUserViewPage.statusKeyOptionsList.selectedValue}" style="height: 24px"/>
                                    <ui:dropDown binding="#{admin$BuyerUserViewPage.sortKeyDropDown}" id="sortKeyDropDown"
                                        items="#{admin$BuyerUserViewPage.sortKeyOptionsList.options}" label="Sort By" onChange=""
                                        selected="#{admin$BuyerUserViewPage.sortKeyOptionsList.selectedValue}" style="height: 24px"/>
                                    <ui:dropDown binding="#{admin$BuyerUserViewPage.searchKeyDropDown}" id="searchKeyDropDown"
                                        items="#{admin$BuyerUserViewPage.searchKeyOptionsList.options}" label="Search In"
                                        selected="#{admin$BuyerUserViewPage.searchKeyOptionsList.selectedValue}" style="height: 24px;"/>
                                    <ui:textField binding="#{admin$BuyerUserViewPage.searchWordTextField}" id="searchWordTextField" label="For"
                                        style="height: 15px" text="#{admin$BuyerUserViewPage.searchWord}"/>
                                </h:panelGrid>
                                <ui:panelGroup binding="#{admin$BuyerUserViewPage.groupPanel2}" block="true" id="groupPanel2" style="height: 24px; width: 238px">
                                    <ui:button action="#{admin$BuyerUserViewPage.refreshButton_action}" binding="#{admin$BuyerUserViewPage.refreshButton}"
                                        id="refreshButton" style="height: 24px; width: 72px; z-index: 500" text="#{msgBundle.Refresh}"/>
                                    <ui:button action="#{admin$BuyerUserViewPage.previousPageButton_action}"
                                        binding="#{admin$BuyerUserViewPage.previousPageButton}" id="previousPageButton"
                                        style="height: 24px; width: 72px; z-index: 501" text="#{msgBundle.Previous}"/>
                                    <ui:button action="#{admin$BuyerUserViewPage.nextPageButton_action}" binding="#{admin$BuyerUserViewPage.nextPageButton}"
                                        id="nextPageButton" style="height: 24px; width: 72px; z-index: 502" text="#{msgBundle.Next}"/>
                                </ui:panelGroup>
                            </h:panelGrid>
                            <ui:alert binding="#{admin$BuyerUserViewPage.pageAlert}" id="pageAlert"/>
                            <ui:table augmentTitle="false" binding="#{admin$BuyerUserViewPage.buyerUserTable}" deselectMultipleButton="true"
                                deselectMultipleButtonOnClick="setTimeout('disableButtons()', 0)" id="buyerUserTable" selectMultipleButton="true"
                                selectMultipleButtonOnClick="setTimeout('disableButtons()', 0)" style="height: 20px; width: 800px"
                                title="#{msgBundle.BuyerUsers}" width="90%">
                                <ui:tableRowGroup binding="#{admin$BuyerUserViewPage.buyerUserTableRowGroup}" groupToggleButton="true"
                                    id="buyerUserTableRowGroup" rows="10" sourceData="#{admin$BuyerUserViewPage.buyerUserDataProvider}" sourceVar="currentRow">
                                    <ui:tableColumn id="tableColumn3" selectId="selectBuyerUserCheckBox" width="25">
                                        <ui:checkbox id="selectBuyerUserCheckBox" onClick="setTimeout('initAllRows(); disableButtons()', 0)" selected="#{admin$BuyerUserViewPage.buyerUserTableRowSelect.selected}"/>
                                    </ui:tableColumn>
                                    <ui:tableColumn binding="#{admin$BuyerUserViewPage.tableColumn4}" headerText="#{msgBundle.ID}" id="tableColumn4" width="50">
                                        <ui:staticText binding="#{admin$BuyerUserViewPage.staticText4}" id="staticText4" text="#{currentRow.value['id']}"/>
                                    </ui:tableColumn>
                                    <ui:tableColumn binding="#{admin$BuyerUserViewPage.tableColumn6}" headerText="#{msgBundle.UserID}" id="tableColumn6" width="100">
                                        <ui:hyperlink action="#{admin$BuyerUserViewPage.useridHyperlink_action}"
                                            binding="#{admin$BuyerUserViewPage.useridHyperlink}" id="useridHyperlink" text="#{currentRow.value['userid']}"/>
                                    </ui:tableColumn>
                                    <ui:tableColumn binding="#{admin$BuyerUserViewPage.tableColumn5}" headerText="#{msgBundle.Name}" id="tableColumn5" width="200">
                                        <ui:hyperlink action="#{admin$BuyerUserViewPage.nameHyperlink_action}"
                                            binding="#{admin$BuyerUserViewPage.nameHyperlink}" id="nameHyperlink" text="#{currentRow.value['name']}"/>
                                    </ui:tableColumn>
                                    <ui:tableColumn binding="#{admin$BuyerUserViewPage.tableColumn7}" headerText="#{msgBundle.Email}" id="tableColumn7" width="200">
                                        <ui:staticText binding="#{admin$BuyerUserViewPage.staticText6}" id="staticText6" text="#{currentRow.value['email']}"/>
                                    </ui:tableColumn>
                                    <ui:tableColumn binding="#{admin$BuyerUserViewPage.tableColumn8}" headerText="#{msgBundle.Buyer}" id="tableColumn8" width="200">
                                        <ui:hyperlink binding="#{admin$BuyerUserViewPage.buyerHyperlink}" id="buyerHyperlink" onClick="show_dialog_for_id (&quot;buyer-detail-&quot; + window.event.srcElement.firstChild.data);&#xa;return true" text="#{currentRow.value['buyer']}"/>
                                    </ui:tableColumn>
                                    <ui:tableColumn binding="#{admin$BuyerUserViewPage.tableColumn9}" headerText="#{msgBundle.Admin}" id="tableColumn9" width="50">
                                        <ui:checkbox binding="#{admin$BuyerUserViewPage.checkbox2}" disabled="true" id="checkbox2" selected="#{currentRow.value['admin']}"/>
                                    </ui:tableColumn>
                                    <ui:tableColumn binding="#{admin$BuyerUserViewPage.tableColumn1}" headerText="#{msgBundle.Active}" id="tableColumn1" width="50">
                                        <ui:checkbox binding="#{admin$BuyerUserViewPage.checkbox1}" disabled="true" id="checkbox1" selected="#{currentRow.value['active']}"/>
                                    </ui:tableColumn>
                                    <ui:tableColumn binding="#{admin$BuyerUserViewPage.tableColumn2}" headerText="#{msgBundle.Remarks}" id="tableColumn2" width="400">
                                        <ui:staticText binding="#{admin$BuyerUserViewPage.staticText2}" id="staticText2" text="#{currentRow.value['remarks']}"/>
                                    </ui:tableColumn>
                                </ui:tableRowGroup>
                                <f:facet name="actionsTop">
                                    <f:subview id="actionsTop">
                                        <ui:button action="#{admin$BuyerUserViewPage.newButton_action}" binding="#{admin$BuyerUserViewPage.newButton}"
                                            id="newButton" text="New"/>
                                        <ui:button action="#{admin$BuyerUserViewPage.deleteButton_action}" binding="#{admin$BuyerUserViewPage.deleteButton}"
                                            id="deleteButton" onClick="if (confirmDeleteSelectedRows() == false) return false" text="Delete"/>
                                        <ui:button action="#{admin$BuyerUserViewPage.activateButton_action}" binding="#{admin$BuyerUserViewPage.activateButton}"
                                            id="activateButton" onClick="if (confirmActivateSelectedRows() == false) return false" text="Activate"/>
                                        <ui:button action="#{admin$BuyerUserViewPage.deactivateButton_action}"
                                            binding="#{admin$BuyerUserViewPage.deactivateButton}" id="deactivateButton"
                                            onClick="if (confirmDeactivateSelectedRows() == false) return false" text="Deactivate"/>
                                    </f:subview>
                                </f:facet>
                            </ui:table>
                        </h:panelGrid>
                    </ui:form>
                       <h:outputText escape="false" value="#{admin$BuyerUserViewPage.buyerDetailHtml}"/>
                    <jsp:include page="/resources/yui-dialog-ok.inc"/>

                </ui:body>
            </ui:html>
        </ui:page>
    </f:view>
    <script language="javascript">
	initAllRows();
	disableButtons();
    </script>
</jsp:root>
