<?xml version="1.0" encoding="UTF-8"?>
<jsp:root version="1.2" xmlns:f="http://java.sun.com/jsf/core" xmlns:h="http://java.sun.com/jsf/html" xmlns:jsp="http://java.sun.com/JSP/Page" xmlns:ui="http://www.sun.com/web/ui">
    <jsp:directive.page contentType="text/html;charset=UTF-8" pageEncoding="UTF-8"/>
    <script language="javascript">
	function initAllRows() {
		var table = document.getElementById("form1:buyerTable");
		table.initAllRows();
	}
	
	function disableButtons() {
		// Disable table actions by default.
		var table = document.getElementById("form1:buyerTable");
		var selections = table.getAllSelectedRowsCount(); 
		var disabled = !(selections &gt; 0);

		// Set disabled state for top actions.
		document.getElementById("form1:buyerTable:actionsTop:deleteButton").setDisabled(disabled);
		document.getElementById("form1:buyerTable:actionsTop:activateButton").setDisabled(disabled);
		document.getElementById("form1:buyerTable:actionsTop:deactivateButton").setDisabled(disabled);
	}		
	
	function confirmDeleteSelectedRows() {
		var table = document.getElementById("form1:buyerTable");
		return table.confirmDeleteSelectedRows();
	}
	 
	function confirmActivateSelectedRows() {
		var table = document.getElementById("form1:buyerTable");
		return table.confirmSelectedRows("\n\nActivate all selections?");
	}
	
	function confirmDeactivateSelectedRows() {
		var table = document.getElementById("form1:buyerTable");
		return table.confirmSelectedRows("\n\nDeactivate all selections?");
	}
	</script>
    <f:view>
        <ui:page binding="#{admin$BuyerViewPage.page1}" id="page1">
            <ui:html binding="#{admin$BuyerViewPage.html1}" id="html1">
                <f:loadBundle basename="com.unimar.shipneeds.Messages" var="msgBundle"/>
                <ui:head binding="#{admin$BuyerViewPage.head1}" id="head1">
                    <jsp:include page="/resources/yui.inc"/>
                    <ui:link binding="#{admin$BuyerViewPage.link1}" id="link1" url="/resources/stylesheet.css"/>
                </ui:head>
                <ui:body binding="#{admin$BuyerViewPage.body1}" id="body1" style="-rave-layout: grid" styleClass="yui-skin-sam">
                    <ui:form binding="#{admin$BuyerViewPage.form1}" id="form1">
                        <jsp:directive.include file="AdminNavigationFragment.jspf"/>
                        <ui:hiddenField binding="#{admin$BuyerViewPage.buyerListStringHiddenField}" id="buyerListStringHiddenField" text="#{admin$BuyerViewPage.buyerListString}"/>
                        <h:panelGrid binding="#{admin$BuyerViewPage.buyerViewPanel}" id="buyerViewPanel"
                            style="height: 196px; left: 120px; top: 72px; position: absolute" width="90%">
                            <h:panelGrid binding="#{admin$BuyerViewPage.gridPanel2}" id="gridPanel2"
                                style="border-width: 1px; border-style: groove; height: 72px;" width="90%">
                                <h:panelGrid binding="#{admin$BuyerViewPage.gridPanel1}" columns="4" id="gridPanel1"
                                    style="margin: 1px; padding: 1px; height: 24px" width="336">
                                    <ui:dropDown binding="#{admin$BuyerViewPage.statusKeyDropDown}" id="statusKeyDropDown"
                                        items="#{admin$BuyerViewPage.statusKeyOptionsList.options}" label="Show"
                                        selected="#{admin$BuyerViewPage.statusKeyOptionsList.selectedValue}" style="height: 24px"/>
                                    <ui:dropDown binding="#{admin$BuyerViewPage.sortKeyDropDown}" id="sortKeyDropDown"
                                        items="#{admin$BuyerViewPage.sortKeyOptionsList.options}" label="Sort By" onChange=""
                                        selected="#{admin$BuyerViewPage.sortKeyOptionsList.selectedValue}" style="height: 24px"/>
                                    <ui:dropDown binding="#{admin$BuyerViewPage.searchKeyDropDown}" id="searchKeyDropDown"
                                        items="#{admin$BuyerViewPage.searchKeyOptionsList.options}" label="Search In"
                                        selected="#{admin$BuyerViewPage.searchKeyOptionsList.selectedValue}" style="height: 24px;"/>
                                    <ui:textField binding="#{admin$BuyerViewPage.searchWordTextField}" id="searchWordTextField" label="For" style="height: 15px" text="#{admin$BuyerViewPage.searchWord}"/>
                                </h:panelGrid>
                                <ui:panelGroup binding="#{admin$BuyerViewPage.groupPanel2}" block="true" id="groupPanel2" style="height: 24px; width: 238px">
                                    <ui:button action="#{admin$BuyerViewPage.refreshButton_action}" binding="#{admin$BuyerViewPage.refreshButton}"
                                        id="refreshButton" style="height: 24px; width: 72px; z-index: 500" text="#{msgBundle.Refresh}"/>
                                    <ui:button action="#{admin$BuyerViewPage.previousPageButton_action}" binding="#{admin$BuyerViewPage.previousPageButton}"
                                        id="previousPageButton" style="height: 24px; width: 72px; z-index: 501" text="#{msgBundle.Previous}"/>
                                    <ui:button action="#{admin$BuyerViewPage.nextPageButton_action}" binding="#{admin$BuyerViewPage.nextPageButton}"
                                        id="nextPageButton" style="height: 24px; width: 72px; z-index: 502" text="#{msgBundle.Next}"/>
                                </ui:panelGroup>
                            </h:panelGrid>
                            <ui:alert binding="#{admin$BuyerViewPage.pageAlert}" id="pageAlert"/>
                            <ui:table augmentTitle="false" binding="#{admin$BuyerViewPage.buyerTable}" deselectMultipleButton="true"
                                deselectMultipleButtonOnClick="setTimeout('disableButtons()', 0)" id="buyerTable" selectMultipleButton="true"
                                selectMultipleButtonOnClick="setTimeout('disableButtons()', 0)" style="height: 20px; width: 800px"
                                title="#{msgBundle.Buyers}" width="90%">
                                <ui:tableRowGroup binding="#{admin$BuyerViewPage.buyerTableRowGroup}" groupToggleButton="true" id="buyerTableRowGroup"
                                    rows="10" sourceData="#{admin$BuyerViewPage.buyerDataProvider}" sourceVar="currentRow">
                                    <ui:tableColumn id="tableColumn3" selectId="selectBuyerCheckBox" width="25">
                                        <ui:checkbox id="selectBuyerCheckBox" onClick="setTimeout('initAllRows(); disableButtons()', 0)" selected="#{admin$BuyerViewPage.buyerTableRowSelect.selected}"/>
                                    </ui:tableColumn>
                                    <ui:tableColumn binding="#{admin$BuyerViewPage.tableColumn4}" headerText="#{msgBundle.ID}" id="tableColumn4" width="50">
                                        <ui:hyperlink action="#{admin$BuyerViewPage.idHyperlink_action}" binding="#{admin$BuyerViewPage.idHyperlink}"
                                            id="idHyperlink"
                                            onClick="show_dialog_for_id (&quot;buyer-detail-&quot; + window.event.srcElement.firstChild.data);&#xa;return true" text="#{currentRow.value['id']}"/>
                                    </ui:tableColumn>
                                    <ui:tableColumn binding="#{admin$BuyerViewPage.tableColumn5}" headerText="#{msgBundle.Name}" id="tableColumn5" width="200">
                                        <ui:hyperlink action="#{admin$BuyerViewPage.nameHyperlink_action}" binding="#{admin$BuyerViewPage.nameHyperlink}"
                                            id="nameHyperlink" text="#{currentRow.value['name']}"/>
                                    </ui:tableColumn>
                                    <ui:tableColumn binding="#{admin$BuyerViewPage.tableColumn6}" headerText="#{msgBundle.Contact}" id="tableColumn6" width="50">
                                        <ui:staticText binding="#{admin$BuyerViewPage.staticText5}" id="staticText5" text="#{currentRow.value['contact']}"/>
                                    </ui:tableColumn>
                                    <ui:tableColumn binding="#{admin$BuyerViewPage.tableColumn7}" headerText="#{msgBundle.Country}" id="tableColumn7" width="100">
                                        <ui:staticText binding="#{admin$BuyerViewPage.staticText1}" id="staticText1" text="#{currentRow.value['country']}"/>
                                    </ui:tableColumn>
                                    <ui:tableColumn binding="#{admin$BuyerViewPage.tableColumn8}" headerText="#{msgBundle.Email}" id="tableColumn8" width="100">
                                        <ui:staticText binding="#{admin$BuyerViewPage.staticText6}" id="staticText6" text="#{currentRow.value['email']}"/>
                                    </ui:tableColumn>
                                    <ui:tableColumn binding="#{admin$BuyerViewPage.tableColumn9}" headerText="#{msgBundle.Telno}" id="tableColumn9" width="50">
                                        <ui:staticText binding="#{admin$BuyerViewPage.staticText7}" id="staticText7" text="#{currentRow.value['telno']}"/>
                                    </ui:tableColumn>
                                    <ui:tableColumn binding="#{admin$BuyerViewPage.tableColumn1}" headerText="#{msgBundle.Active}" id="tableColumn1" width="50">
                                        <ui:checkbox binding="#{admin$BuyerViewPage.checkbox1}" disabled="true" id="checkbox1" selected="#{currentRow.value['active']}"/>
                                    </ui:tableColumn>
                                    <ui:tableColumn binding="#{admin$BuyerViewPage.tableColumn2}" headerText="#{msgBundle.Remarks}" id="tableColumn2" width="400">
                                        <ui:staticText binding="#{admin$BuyerViewPage.staticText2}" id="staticText2" text="#{currentRow.value['remarks']}"/>
                                    </ui:tableColumn>
                                </ui:tableRowGroup>
                                <f:facet name="actionsTop">
                                    <f:subview id="actionsTop">
                                        <ui:button action="#{admin$BuyerViewPage.newButton_action}" binding="#{admin$BuyerViewPage.newButton}" id="newButton" text="New"/>
                                        <ui:button action="#{admin$BuyerViewPage.deleteButton_action}" binding="#{admin$BuyerViewPage.deleteButton}"
                                            id="deleteButton" onClick="if (confirmDeleteSelectedRows() == false) return false" text="Delete"/>
                                        <ui:button action="#{admin$BuyerViewPage.activateButton_action}" binding="#{admin$BuyerViewPage.activateButton}"
                                            id="activateButton" onClick="if (confirmActivateSelectedRows() == false) return false" text="Activate"/>
                                        <ui:button action="#{admin$BuyerViewPage.deactivateButton_action}" binding="#{admin$BuyerViewPage.deactivateButton}"
                                            id="deactivateButton" onClick="if (confirmDeactivateSelectedRows() == false) return false" text="Deactivate"/>
                                    </f:subview>
                                </f:facet>
                            </ui:table>
                        </h:panelGrid>
                    </ui:form>
                    <h:outputText escape="false" value="#{admin$BuyerViewPage.buyerDetailHtml}"/>
                    <jsp:include page="/resources/yui-dialog-ok.inc"/>
                </ui:body>
            </ui:html>
        </ui:page>
    </f:view>
    <script language="javascript">
	initAllRows();
	disableButtons();
    </script>
</jsp:root>
