<?xml version="1.0" encoding="UTF-8"?>
<jsp:root version="1.2" xmlns:f="http://java.sun.com/jsf/core" xmlns:h="http://java.sun.com/jsf/html" xmlns:jsp="http://java.sun.com/JSP/Page" xmlns:ui="http://www.sun.com/web/ui">
    <jsp:directive.page contentType="text/html;charset=UTF-8" pageEncoding="UTF-8"/>
    <script language="javascript">
	function initAllRows() {
		var table = document.getElementById("form1:countryTable");
		table.initAllRows();
	}
	
	function disableButtons() {
		// Disable table actions by default.
		var table = document.getElementById("form1:countryTable");
		var selections = table.getAllSelectedRowsCount(); 
		var disabled = !(selections &gt; 0);

		// Set disabled state for top actions.
		document.getElementById("form1:countryTable:actionsTop:deleteButton").setDisabled(disabled);
		document.getElementById("form1:countryTable:actionsTop:activateButton").setDisabled(disabled);
		document.getElementById("form1:countryTable:actionsTop:deactivateButton").setDisabled(disabled);
	}		
	
	function confirmDeleteSelectedRows() {
		var table = document.getElementById("form1:countryTable");
		return table.confirmDeleteSelectedRows();
	}
	 
	function confirmActivateSelectedRows() {
		var table = document.getElementById("form1:countryTable");
		return table.confirmSelectedRows("\n\nActivate all selections?");
	}
	
	function confirmDeactivateSelectedRows() {
		var table = document.getElementById("form1:countryTable");
		return table.confirmSelectedRows("\n\nDeactivate all selections?");
	}
	</script>
    <f:view>
        <ui:page binding="#{admin$CountryViewPage.page1}" id="page1">
            <ui:html binding="#{admin$CountryViewPage.html1}" id="html1">
                <f:loadBundle basename="com.unimar.shipneeds.Messages" var="msgBundle"/>
                <ui:head binding="#{admin$CountryViewPage.head1}" id="head1">
                    <ui:link binding="#{admin$CountryViewPage.link1}" id="link1" url="/resources/stylesheet.css"/>
                </ui:head>
                <ui:body binding="#{admin$CountryViewPage.body1}" id="body1" style="-rave-layout: grid">
                    <ui:form binding="#{admin$CountryViewPage.form1}" id="form1">
                        <jsp:directive.include file="AdminNavigationFragment.jspf"/>
                        <ui:hiddenField binding="#{admin$CountryViewPage.countryListStringHiddenField}" id="countryListStringHiddenField" text="#{admin$CountryViewPage.countryListString}"/>
                        <h:panelGrid binding="#{admin$CountryViewPage.countryViewPanel}" id="countryViewPanel"
                            style="height: 196px; left: 120px; top: 72px; position: absolute" width="90%">
                            <h:panelGrid binding="#{admin$CountryViewPage.gridPanel2}" id="gridPanel2"
                                style="border-width: 1px; border-style: groove; height: 72px;" width="90%">
                                <h:panelGrid binding="#{admin$CountryViewPage.gridPanel1}" columns="4" id="gridPanel1"
                                    style="margin: 1px; padding: 1px; height: 24px" width="336">
                                    <ui:dropDown binding="#{admin$CountryViewPage.statusKeyDropDown}" id="statusKeyDropDown"
                                        items="#{admin$CountryViewPage.statusKeyOptionsList.options}" label="Show"
                                        selected="#{admin$CountryViewPage.statusKeyOptionsList.selectedValue}" style="height: 24px"/>
                                    <ui:dropDown binding="#{admin$CountryViewPage.sortKeyDropDown}" id="sortKeyDropDown"
                                        items="#{admin$CountryViewPage.sortKeyOptionsList.options}" label="Sort By" onChange=""
                                        selected="#{admin$CountryViewPage.sortKeyOptionsList.selectedValue}" style="height: 24px"/>
                                    <ui:dropDown binding="#{admin$CountryViewPage.searchKeyDropDown}" id="searchKeyDropDown"
                                        items="#{admin$CountryViewPage.searchKeyOptionsList.options}" label="Search In"
                                        selected="#{admin$CountryViewPage.searchKeyOptionsList.selectedValue}" style="height: 24px;"/>
                                    <ui:textField binding="#{admin$CountryViewPage.searchWordTextField}" id="searchWordTextField" label="For"
                                        style="height: 15px" text="#{admin$CountryViewPage.searchWord}"/>
                                </h:panelGrid>
                                <ui:panelGroup binding="#{admin$CountryViewPage.groupPanel2}" block="true" id="groupPanel2" style="height: 24px; width: 238px">
                                    <ui:button action="#{admin$CountryViewPage.refreshButton_action}" binding="#{admin$CountryViewPage.refreshButton}"
                                        id="refreshButton" style="height: 24px; width: 72px; z-index: 500" text="#{msgBundle.Refresh}"/>
                                    <ui:button action="#{admin$CountryViewPage.previousPageButton_action}" binding="#{admin$CountryViewPage.previousPageButton}"
                                        id="previousPageButton" style="height: 24px; width: 72px; z-index: 501" text="#{msgBundle.Previous}"/>
                                    <ui:button action="#{admin$CountryViewPage.nextPageButton_action}" binding="#{admin$CountryViewPage.nextPageButton}"
                                        id="nextPageButton" style="height: 24px; width: 72px; z-index: 502" text="#{msgBundle.Next}"/>
                                </ui:panelGroup>
                            </h:panelGrid>
                            <ui:alert binding="#{admin$CountryViewPage.pageAlert}" id="pageAlert" />
                            <ui:table augmentTitle="false" binding="#{admin$CountryViewPage.countryTable}" deselectMultipleButton="true"
                                deselectMultipleButtonOnClick="setTimeout('disableButtons()', 0)" id="countryTable" selectMultipleButton="true"
                                selectMultipleButtonOnClick="setTimeout('disableButtons()', 0)" style="height: 20px; width: 800px"
                                title="#{msgBundle.Countries}" width="90%">
                                <ui:tableRowGroup binding="#{admin$CountryViewPage.countryTableRowGroup}" groupToggleButton="true" id="countryTableRowGroup"
                                    rows="10" sourceData="#{admin$CountryViewPage.countryDataProvider}" sourceVar="currentRow">
                                    <ui:tableColumn id="tableColumn3" selectId="selectCountryCheckBox" width="25">
                                        <ui:checkbox id="selectCountryCheckBox" onClick="setTimeout('initAllRows(); disableButtons()', 0)" selected="#{admin$CountryViewPage.countryTableRowSelect.selected}"/>
                                    </ui:tableColumn>
                                    <ui:tableColumn binding="#{admin$CountryViewPage.tableColumn4}" headerText="#{msgBundle.ID}" id="tableColumn4" width="50">
                                        <ui:staticText binding="#{admin$CountryViewPage.staticText4}" id="staticText4" text="#{currentRow.value['id']}"/>
                                    </ui:tableColumn>
                                    <ui:tableColumn binding="#{admin$CountryViewPage.tableColumn5}" headerText="#{msgBundle.Name}" id="tableColumn5" width="200">
                                        <ui:hyperlink action="#{admin$CountryViewPage.nameHyperlink_action}" binding="#{admin$CountryViewPage.nameHyperlink}"
                                            id="nameHyperlink" text="#{currentRow.value['name']}"/>
                                    </ui:tableColumn>
                                    <ui:tableColumn binding="#{admin$CountryViewPage.tableColumn1}" headerText="#{msgBundle.Active}" id="tableColumn1" width="50">
                                        <ui:checkbox binding="#{admin$CountryViewPage.checkbox1}" disabled="true" id="checkbox1" selected="#{currentRow.value['active']}"/>
                                    </ui:tableColumn>
                                    <ui:tableColumn binding="#{admin$CountryViewPage.tableColumn2}" headerText="#{msgBundle.Remarks}" id="tableColumn2" width="400">
                                        <ui:staticText binding="#{admin$CountryViewPage.staticText2}" id="staticText2" text="#{currentRow.value['remarks']}"/>
                                    </ui:tableColumn>
                                </ui:tableRowGroup>
                                <f:facet name="actionsTop">
                                    <f:subview id="actionsTop">
					<ui:button action="#{admin$CountryViewPage.newButton_action}" binding="#{admin$CountryViewPage.newButton}" id="newButton" text="New"/>
                                        <ui:button action="#{admin$CountryViewPage.deleteButton_action}" binding="#{admin$CountryViewPage.deleteButton}"
                                            id="deleteButton" onClick="if (confirmDeleteSelectedRows() == false) return false" text="Delete"/>
                                        <ui:button action="#{admin$CountryViewPage.activateButton_action}" binding="#{admin$CountryViewPage.activateButton}"
                                            id="activateButton" onClick="if (confirmActivateSelectedRows() == false) return false" text="Activate"/>
                                        <ui:button action="#{admin$CountryViewPage.deactivateButton_action}" binding="#{admin$CountryViewPage.deactivateButton}"
                                            id="deactivateButton" onClick="if (confirmDeactivateSelectedRows() == false) return false" text="Deactivate"/>
                                    </f:subview>
                                </f:facet>
                            </ui:table>
                        </h:panelGrid>      
                    </ui:form>
                </ui:body>
            </ui:html>
        </ui:page>
    </f:view>
    <script language="javascript">
	initAllRows();
	disableButtons();
    </script>
</jsp:root>
