<?xml version="1.0" encoding="UTF-8"?>
<jsp:root version="1.2" xmlns:f="http://java.sun.com/jsf/core" xmlns:h="http://java.sun.com/jsf/html" xmlns:jsp="http://java.sun.com/JSP/Page" xmlns:ui="http://www.sun.com/web/ui">
    <jsp:directive.page contentType="text/html;charset=UTF-8" pageEncoding="UTF-8"/>
    <script language="javascript">
	function initAllRows() {
		var table = document.getElementById("form1:portTable");
		table.initAllRows();
	}
	
	function disableButtons() {
		// Disable table actions by default.
		var table = document.getElementById("form1:portTable");
		var selections = table.getAllSelectedRowsCount(); 
		var disabled = !(selections &gt; 0);

		// Set disabled state for top actions.
		document.getElementById("form1:portTable:actionsTop:deleteButton").setDisabled(disabled);
		document.getElementById("form1:portTable:actionsTop:activateButton").setDisabled(disabled);
		document.getElementById("form1:portTable:actionsTop:deactivateButton").setDisabled(disabled);
	}		
	
	function confirmDeleteSelectedRows() {
		var table = document.getElementById("form1:portTable");
		return table.confirmDeleteSelectedRows();
	}
	 
	function confirmActivateSelectedRows() {
		var table = document.getElementById("form1:portTable");
		return table.confirmSelectedRows("\n\nActivate all selections?");
	}
	
	function confirmDeactivateSelectedRows() {
		var table = document.getElementById("form1:portTable");
		return table.confirmSelectedRows("\n\nDeactivate all selections?");
	}
    </script>
    <f:view>
        <ui:page binding="#{admin$PortViewPage.page1}" id="page1">
            <ui:html binding="#{admin$PortViewPage.html1}" id="html1">
                <f:loadBundle basename="com.unimar.shipneeds.Messages" var="msgBundle"/>
                <ui:head binding="#{admin$PortViewPage.head1}" id="head1">
                    <jsp:include page="/resources/yui.inc"/>
                    <ui:link binding="#{admin$PortViewPage.link1}" id="link1" url="/resources/stylesheet.css"/>
                </ui:head>
                <ui:body binding="#{admin$PortViewPage.body1}" id="body1" style="-rave-layout: grid" styleClass="yui-skin-sam">
                    <ui:form binding="#{admin$PortViewPage.form1}" id="form1">
                        <jsp:directive.include file="AdminNavigationFragment.jspf"/>
                        <ui:hiddenField binding="#{admin$PortViewPage.portListStringHiddenField}" id="portListStringHiddenField" text="#{admin$PortViewPage.portListString}"/>
                        <h:panelGrid binding="#{admin$PortViewPage.portViewPanel}" id="portViewPanel"
                            style="height: 196px; left: 120px; top: 72px; position: absolute" width="90%">
                            <h:panelGrid binding="#{admin$PortViewPage.gridPanel2}" id="gridPanel2"
                                style="border-width: 1px; border-style: groove; height: 72px;" width="90%">
                                <h:panelGrid binding="#{admin$PortViewPage.gridPanel1}" columns="4" id="gridPanel1"
                                    style="margin: 1px; padding: 1px; height: 24px" width="336">
                                    <ui:dropDown binding="#{admin$PortViewPage.statusKeyDropDown}" id="statusKeyDropDown"
                                        items="#{admin$PortViewPage.statusKeyOptionsList.options}" label="Show"
                                        selected="#{admin$PortViewPage.statusKeyOptionsList.selectedValue}" style="height: 24px"/>
                                    <ui:dropDown binding="#{admin$PortViewPage.sortKeyDropDown}" id="sortKeyDropDown"
                                        items="#{admin$PortViewPage.sortKeyOptionsList.options}" label="Sort By" onChange=""
                                        selected="#{admin$PortViewPage.sortKeyOptionsList.selectedValue}" style="height: 24px"/>
                                    <ui:dropDown binding="#{admin$PortViewPage.searchKeyDropDown}" id="searchKeyDropDown"
                                        items="#{admin$PortViewPage.searchKeyOptionsList.options}" label="Search In"
                                        selected="#{admin$PortViewPage.searchKeyOptionsList.selectedValue}" style="height: 24px;"/>
                                    <ui:textField binding="#{admin$PortViewPage.searchWordTextField}" id="searchWordTextField" label="For" style="height: 15px" text="#{admin$PortViewPage.searchWord}"/>
                                </h:panelGrid>
                                <ui:panelGroup binding="#{admin$PortViewPage.groupPanel2}" block="true" id="groupPanel2" style="height: 24px; width: 238px">
                                    <ui:button action="#{admin$PortViewPage.refreshButton_action}" binding="#{admin$PortViewPage.refreshButton}"
                                        id="refreshButton" style="height: 24px; width: 72px; z-index: 500" text="#{msgBundle.Refresh}"/>
                                    <ui:button action="#{admin$PortViewPage.previousPageButton_action}" binding="#{admin$PortViewPage.previousPageButton}"
                                        id="previousPageButton" style="height: 24px; width: 72px; z-index: 501" text="#{msgBundle.Previous}"/>
                                    <ui:button action="#{admin$PortViewPage.nextPageButton_action}" binding="#{admin$PortViewPage.nextPageButton}"
                                        id="nextPageButton" style="height: 24px; width: 72px; z-index: 502" text="#{msgBundle.Next}"/>
                                </ui:panelGroup>
                            </h:panelGrid>
                            <ui:alert binding="#{admin$PortViewPage.pageAlert}" id="pageAlert"/>
                            <ui:table augmentTitle="false" binding="#{admin$PortViewPage.portTable}" deselectMultipleButton="true"
                                deselectMultipleButtonOnClick="setTimeout('disableButtons()', 0)" id="portTable" selectMultipleButton="true"
                                selectMultipleButtonOnClick="setTimeout('disableButtons()', 0)" style="height: 20px; width: 800px" title="#{msgBundle.Ports}" width="90%">
                                <ui:tableRowGroup binding="#{admin$PortViewPage.portTableRowGroup}" groupToggleButton="true" id="portTableRowGroup" rows="10"
                                    sourceData="#{admin$PortViewPage.portDataProvider}" sourceVar="currentRow">
                                    <ui:tableColumn id="tableColumn3" selectId="selectPortCheckBox" width="25">
                                        <ui:checkbox id="selectPortCheckBox" onClick="setTimeout('initAllRows(); disableButtons()', 0)" selected="#{admin$PortViewPage.portTableRowSelect.selected}"/>
                                    </ui:tableColumn>
                                    <ui:tableColumn binding="#{admin$PortViewPage.tableColumn4}" headerText="#{msgBundle.ID}" id="tableColumn4" width="50">
                                        <ui:staticText binding="#{admin$PortViewPage.staticText4}" id="staticText4" text="#{currentRow.value['id']}"/>
                                    </ui:tableColumn>
                                    <ui:tableColumn binding="#{admin$PortViewPage.tableColumn5}" headerText="#{msgBundle.Name}" id="tableColumn5" width="200">
                                        <ui:hyperlink action="#{admin$PortViewPage.nameHyperlink_action}" binding="#{admin$PortViewPage.nameHyperlink}"
                                            id="nameHyperlink" text="#{currentRow.value['name']}"/>
                                    </ui:tableColumn>
                                    <ui:tableColumn binding="#{admin$PortViewPage.tableColumn6}" headerText="#{msgBundle.Country}" id="tableColumn6" width="100">
                                        <ui:hyperlink binding="#{admin$PortViewPage.countryHyperlink}" id="countryHyperlink"
                                            onClick="show_dialog_for_id (&quot;Dialog-Id-&quot; + window.event.srcElement.firstChild.data); return true;"
                                            text="#{currentRow.value['country']}" url="#"/>
                                    </ui:tableColumn>
                                    <ui:tableColumn binding="#{admin$PortViewPage.tableColumn1}" headerText="#{msgBundle.Active}" id="tableColumn1" width="50">
                                        <ui:checkbox binding="#{admin$PortViewPage.checkbox1}" disabled="true" id="checkbox1" selected="#{currentRow.value['active']}"/>
                                    </ui:tableColumn>
                                    <ui:tableColumn binding="#{admin$PortViewPage.tableColumn2}" headerText="#{msgBundle.Remarks}" id="tableColumn2" width="400">
                                        <ui:staticText binding="#{admin$PortViewPage.staticText2}" id="staticText2" text="#{currentRow.value['remarks']}"/>
                                    </ui:tableColumn>
                                </ui:tableRowGroup>
                                <f:facet name="actionsTop">
                                    <f:subview id="actionsTop">
                                        <ui:button action="#{admin$PortViewPage.newButton_action}" binding="#{admin$PortViewPage.newButton}" id="newButton" text="New"/>
                                        <ui:button action="#{admin$PortViewPage.deleteButton_action}" binding="#{admin$PortViewPage.deleteButton}"
                                            id="deleteButton" onClick="if (confirmDeleteSelectedRows() == false) return false" text="Delete"/>
                                        <ui:button action="#{admin$PortViewPage.activateButton_action}" binding="#{admin$PortViewPage.activateButton}"
                                            id="activateButton" onClick="if (confirmActivateSelectedRows() == false) return false" text="Activate"/>
                                        <ui:button action="#{admin$PortViewPage.deactivateButton_action}" binding="#{admin$PortViewPage.deactivateButton}"
                                            id="deactivateButton" onClick="if (confirmDeactivateSelectedRows() == false) return false" text="Deactivate"/>
                                    </f:subview>
                                </f:facet>
                            </ui:table>
                        </h:panelGrid>
                    </ui:form>
                    <h:outputText escape="false" value="#{admin$PortViewPage.portCountryDetailHtml}"/>
                    <jsp:include page="/resources/yui-dialog-ok.inc"/>
                </ui:body>
            </ui:html>
        </ui:page>
    </f:view>
    <script language="javascript">
	initAllRows();
	disableButtons();
    </script>
</jsp:root>
