<?xml version="1.0" encoding="UTF-8"?>
<jsp:root version="1.2" xmlns:f="http://java.sun.com/jsf/core" xmlns:h="http://java.sun.com/jsf/html" xmlns:jsp="http://java.sun.com/JSP/Page" xmlns:ui="http://www.sun.com/web/ui">
    <jsp:directive.page contentType="text/html;charset=UTF-8" pageEncoding="UTF-8"/>
    <script language="javascript">
	function initAllRows() {
		var table = document.getElementById("form1:productTable");
		table.initAllRows();
	}
	
	function disableButtons() {
		// Disable table actions by default.
		var table = document.getElementById("form1:productTable");
		var selections = table.getAllSelectedRowsCount(); 
		var disabled = !(selections &gt; 0);

		// Set disabled state for top actions.
		document.getElementById("form1:productTable:actionsTop:deleteButton").setDisabled(disabled);
		document.getElementById("form1:productTable:actionsTop:activateButton").setDisabled(disabled);
		document.getElementById("form1:productTable:actionsTop:deactivateButton").setDisabled(disabled);
	}		
	
	function confirmDeleteSelectedRows() {
		var table = document.getElementById("form1:productTable");
		return table.confirmDeleteSelectedRows();
	}
	 
	function confirmActivateSelectedRows() {
		var table = document.getElementById("form1:productTable");
		return table.confirmSelectedRows("\n\nActivate all selections?");
	}
	
	function confirmDeactivateSelectedRows() {
		var table = document.getElementById("form1:productTable");
		return table.confirmSelectedRows("\n\nDeactivate all selections?");
	}
	</script>
    <f:view>
        <ui:page binding="#{admin$ProductViewPage.page1}" id="page1">
            <ui:html binding="#{admin$ProductViewPage.html1}" id="html1">
                <f:loadBundle basename="com.unimar.shipneeds.Messages" var="msgBundle"/>
                <ui:head binding="#{admin$ProductViewPage.head1}" id="head1">
                    <ui:link binding="#{admin$ProductViewPage.link1}" id="link1" url="/resources/stylesheet.css"/>
                </ui:head>
                <ui:body binding="#{admin$ProductViewPage.body1}" id="body1" style="-rave-layout: grid">
                    <ui:form binding="#{admin$ProductViewPage.form1}" id="form1">
                        <jsp:directive.include file="AdminNavigationFragment.jspf"/>
                        <ui:hiddenField binding="#{admin$ProductViewPage.productListStringHiddenField}" id="productListStringHiddenField" text="#{admin$ProductViewPage.productListString}"/>
                        <h:panelGrid binding="#{admin$ProductViewPage.productViewPanel}" id="productViewPanel"
                            style="height: 196px; left: 120px; top: 72px; position: absolute" width="90%">
                            <h:panelGrid binding="#{admin$ProductViewPage.gridPanel2}" id="gridPanel2"
                                style="border-width: 1px; border-style: groove; height: 72px;" width="90%">
                                <h:panelGrid binding="#{admin$ProductViewPage.gridPanel1}" columns="4" id="gridPanel1"
                                    style="margin: 1px; padding: 1px; height: 24px" width="336">
                                    <ui:dropDown binding="#{admin$ProductViewPage.statusKeyDropDown}" id="statusKeyDropDown"
                                        items="#{admin$ProductViewPage.statusKeyOptionsList.options}" label="Show"
                                        selected="#{admin$ProductViewPage.statusKeyOptionsList.selectedValue}" style="height: 24px"/>
                                    <ui:dropDown binding="#{admin$ProductViewPage.sortKeyDropDown}" id="sortKeyDropDown"
                                        items="#{admin$ProductViewPage.sortKeyOptionsList.options}" label="Sort By" onChange=""
                                        selected="#{admin$ProductViewPage.sortKeyOptionsList.selectedValue}" style="height: 24px"/>
                                    <ui:dropDown binding="#{admin$ProductViewPage.searchKeyDropDown}" id="searchKeyDropDown"
                                        items="#{admin$ProductViewPage.searchKeyOptionsList.options}" label="Search In"
                                        selected="#{admin$ProductViewPage.searchKeyOptionsList.selectedValue}" style="height: 24px;"/>
                                    <ui:textField binding="#{admin$ProductViewPage.searchWordTextField}" id="searchWordTextField" label="For"
                                        style="height: 15px" text="#{admin$ProductViewPage.searchWord}"/>
                                </h:panelGrid>
                                <ui:panelGroup binding="#{admin$ProductViewPage.groupPanel2}" block="true" id="groupPanel2" style="height: 24px; width: 238px">
                                    <ui:button action="#{admin$ProductViewPage.refreshButton_action}" binding="#{admin$ProductViewPage.refreshButton}"
                                        id="refreshButton" style="height: 24px; width: 72px; z-index: 500" text="#{msgBundle.Refresh}"/>
                                    <ui:button action="#{admin$ProductViewPage.previousPageButton_action}" binding="#{admin$ProductViewPage.previousPageButton}"
                                        id="previousPageButton" style="height: 24px; width: 72px; z-index: 501" text="#{msgBundle.Previous}"/>
                                    <ui:button action="#{admin$ProductViewPage.nextPageButton_action}" binding="#{admin$ProductViewPage.nextPageButton}"
                                        id="nextPageButton" style="height: 24px; width: 72px; z-index: 502" text="#{msgBundle.Next}"/>
                                </ui:panelGroup>
                            </h:panelGrid>
                            <ui:alert binding="#{admin$ProductViewPage.pageAlert}" id="pageAlert"/>
                            <ui:table augmentTitle="false" binding="#{admin$ProductViewPage.productTable}" deselectMultipleButton="true"
                                deselectMultipleButtonOnClick="setTimeout('disableButtons()', 0)" id="productTable" selectMultipleButton="true"
                                selectMultipleButtonOnClick="setTimeout('disableButtons()', 0)" style="height: 20px; width: 800px"
                                title="#{msgBundle.Products}" width="90%">
                                <ui:tableRowGroup binding="#{admin$ProductViewPage.productTableRowGroup}" groupToggleButton="true"
                                    id="productTableRowGroup" rows="10" sourceData="#{admin$ProductViewPage.productDataProvider}" sourceVar="currentRow">
                                    <ui:tableColumn id="tableColumn3" selectId="selectProductCheckBox" width="25">
                                        <ui:checkbox id="selectProductCheckBox" onClick="setTimeout('initAllRows(); disableButtons()', 0)" selected="#{admin$ProductViewPage.productTableRowSelect.selected}"/>
                                    </ui:tableColumn>
                                    <ui:tableColumn binding="#{admin$ProductViewPage.tableColumn4}" headerText="#{msgBundle.ID}" id="tableColumn4" width="50">
                                        <ui:staticText binding="#{admin$ProductViewPage.staticText4}" id="staticText4" text="#{currentRow.value['id']}"/>
                                    </ui:tableColumn>
                                    <ui:tableColumn binding="#{admin$ProductViewPage.tableColumn6}" headerText="#{msgBundle.Code}" id="tableColumn6" width="100">
                                        <ui:hyperlink action="#{admin$ProductViewPage.codeHyperlink_action}"
                                            binding="#{admin$ProductViewPage.codeHyperlink}" id="codeHyperlink" text="#{currentRow.value['code']}"/>
                                    </ui:tableColumn>
                                    <ui:tableColumn binding="#{admin$ProductViewPage.tableColumn5}" headerText="#{msgBundle.Name}" id="tableColumn5" width="200">
                                        <ui:hyperlink action="#{admin$ProductViewPage.nameHyperlink_action}" binding="#{admin$ProductViewPage.nameHyperlink}"
                                            id="nameHyperlink" text="#{currentRow.value['name']}"/>
                                    </ui:tableColumn>
                                    <ui:tableColumn binding="#{admin$ProductViewPage.tableColumn7}" headerText="#{msgBundle.Unit}" id="tableColumn7" width="200">
                                        <ui:staticText binding="#{admin$ProductViewPage.staticText6}" id="staticText6" text="#{currentRow.value['unit']}"/>
                                    </ui:tableColumn>
                                    <ui:tableColumn binding="#{admin$ProductViewPage.tableColumn1}" headerText="#{msgBundle.Active}" id="tableColumn1" width="50">
                                        <ui:checkbox binding="#{admin$ProductViewPage.checkbox1}" disabled="true" id="checkbox1" selected="#{currentRow.value['active']}"/>
                                    </ui:tableColumn>
                                    <ui:tableColumn binding="#{admin$ProductViewPage.tableColumn2}" headerText="#{msgBundle.Remarks}" id="tableColumn2" width="400">
                                        <ui:staticText binding="#{admin$ProductViewPage.staticText2}" id="staticText2" text="#{currentRow.value['remarks']}"/>
                                    </ui:tableColumn>
                                </ui:tableRowGroup>
                                <f:facet name="actionsTop">
                                    <f:subview id="actionsTop">
                                        <ui:button action="#{admin$ProductViewPage.newButton_action}" binding="#{admin$ProductViewPage.newButton}"
                                            id="newButton" text="New"/>
                                        <ui:button action="#{admin$ProductViewPage.deleteButton_action}" binding="#{admin$ProductViewPage.deleteButton}"
                                            id="deleteButton" onClick="if (confirmDeleteSelectedRows() == false) return false" text="Delete"/>
                                        <ui:button action="#{admin$ProductViewPage.activateButton_action}" binding="#{admin$ProductViewPage.activateButton}"
                                            id="activateButton" onClick="if (confirmActivateSelectedRows() == false) return false" text="Activate"/>
                                        <ui:button action="#{admin$ProductViewPage.deactivateButton_action}" binding="#{admin$ProductViewPage.deactivateButton}"
                                            id="deactivateButton" onClick="if (confirmDeactivateSelectedRows() == false) return false" text="Deactivate"/>
                                    </f:subview>
                                </f:facet>
                            </ui:table>
                        </h:panelGrid>
                    </ui:form>
                </ui:body>
            </ui:html>
        </ui:page>
    </f:view>
    <script language="javascript">
	initAllRows();
	disableButtons();
    </script>
</jsp:root>
