<?xml version="1.0" encoding="UTF-8"?>
<jsp:root version="1.2" xmlns:f="http://java.sun.com/jsf/core" xmlns:h="http://java.sun.com/jsf/html" xmlns:jsp="http://java.sun.com/JSP/Page" xmlns:ui="http://www.sun.com/web/ui">
    <jsp:directive.page contentType="text/html;charset=UTF-8" pageEncoding="UTF-8"/>
    <script language="javascript">
	function initAllRows() {
		var table = document.getElementById("form1:supplierUserTable");
		table.initAllRows();
	}
	
	function disableButtons() {
		// Disable table actions by default.
		var table = document.getElementById("form1:supplierUserTable");
		var selections = table.getAllSelectedRowsCount(); 
		var disabled = !(selections &gt; 0);

		// Set disabled state for top actions.
		document.getElementById("form1:supplierUserTable:actionsTop:deleteButton").setDisabled(disabled);
		document.getElementById("form1:supplierUserTable:actionsTop:activateButton").setDisabled(disabled);
		document.getElementById("form1:supplierUserTable:actionsTop:deactivateButton").setDisabled(disabled);
	}		
	
	function confirmDeleteSelectedRows() {
		var table = document.getElementById("form1:supplierUserTable");
		return table.confirmDeleteSelectedRows();
	}
	 
	function confirmActivateSelectedRows() {
		var table = document.getElementById("form1:supplierUserTable");
		return table.confirmSelectedRows("\n\nActivate all selections?");
	}
	
	function confirmDeactivateSelectedRows() {
		var table = document.getElementById("form1:supplierUserTable");
		return table.confirmSelectedRows("\n\nDeactivate all selections?");
	}
	</script>
    <f:view>
        <ui:page binding="#{admin$SupplierUserViewPage.page1}" id="page1">
            <ui:html binding="#{admin$SupplierUserViewPage.html1}" id="html1">
                <f:loadBundle basename="com.unimar.shipneeds.Messages" var="msgBundle"/>
                <ui:head binding="#{admin$SupplierUserViewPage.head1}" id="head1">
                    <jsp:include page="/resources/yui.inc"/>
                    <ui:link binding="#{admin$SupplierUserViewPage.link1}" id="link1" url="/resources/stylesheet.css"/>
                </ui:head>
                <ui:body binding="#{admin$SupplierUserViewPage.body1}" id="body1" style="-rave-layout: grid" styleClass="yui-skin-sam">
                    <ui:form binding="#{admin$SupplierUserViewPage.form1}" id="form1">
                        <jsp:directive.include file="AdminNavigationFragment.jspf"/>
                        <ui:hiddenField binding="#{admin$SupplierUserViewPage.supplierUserListStringHiddenField}" id="supplierUserListStringHiddenField" text="#{admin$SupplierUserViewPage.supplierUserListString}"/>
                        <h:panelGrid binding="#{admin$SupplierUserViewPage.supplierUserViewPanel}" id="supplierUserViewPanel"
                            style="height: 196px; left: 120px; top: 72px; position: absolute" width="90%">
                            <h:panelGrid binding="#{admin$SupplierUserViewPage.gridPanel2}" id="gridPanel2"
                                style="border-width: 1px; border-style: groove; height: 72px;" width="90%">
                                <h:panelGrid binding="#{admin$SupplierUserViewPage.gridPanel1}" columns="4" id="gridPanel1"
                                    style="margin: 1px; padding: 1px; height: 24px" width="336">
                                    <ui:dropDown binding="#{admin$SupplierUserViewPage.statusKeyDropDown}" id="statusKeyDropDown"
                                        items="#{admin$SupplierUserViewPage.statusKeyOptionsList.options}" label="Show"
                                        selected="#{admin$SupplierUserViewPage.statusKeyOptionsList.selectedValue}" style="height: 24px"/>
                                    <ui:dropDown binding="#{admin$SupplierUserViewPage.sortKeyDropDown}" id="sortKeyDropDown"
                                        items="#{admin$SupplierUserViewPage.sortKeyOptionsList.options}" label="Sort By" onChange=""
                                        selected="#{admin$SupplierUserViewPage.sortKeyOptionsList.selectedValue}" style="height: 24px"/>
                                    <ui:dropDown binding="#{admin$SupplierUserViewPage.searchKeyDropDown}" id="searchKeyDropDown"
                                        items="#{admin$SupplierUserViewPage.searchKeyOptionsList.options}" label="Search In"
                                        selected="#{admin$SupplierUserViewPage.searchKeyOptionsList.selectedValue}" style="height: 24px;"/>
                                    <ui:textField binding="#{admin$SupplierUserViewPage.searchWordTextField}" id="searchWordTextField" label="For"
                                        style="height: 15px" text="#{admin$SupplierUserViewPage.searchWord}"/>
                                </h:panelGrid>
                                <ui:panelGroup binding="#{admin$SupplierUserViewPage.groupPanel2}" block="true" id="groupPanel2" style="height: 24px; width: 238px">
                                    <ui:button action="#{admin$SupplierUserViewPage.refreshButton_action}" binding="#{admin$SupplierUserViewPage.refreshButton}"
                                        id="refreshButton" style="height: 24px; width: 72px; z-index: 500" text="#{msgBundle.Refresh}"/>
                                    <ui:button action="#{admin$SupplierUserViewPage.previousPageButton_action}"
                                        binding="#{admin$SupplierUserViewPage.previousPageButton}" id="previousPageButton"
                                        style="height: 24px; width: 72px; z-index: 501" text="#{msgBundle.Previous}"/>
                                    <ui:button action="#{admin$SupplierUserViewPage.nextPageButton_action}"
                                        binding="#{admin$SupplierUserViewPage.nextPageButton}" id="nextPageButton"
                                        style="height: 24px; width: 72px; z-index: 502" text="#{msgBundle.Next}"/>
                                </ui:panelGroup>
                            </h:panelGrid>
                            <ui:alert binding="#{admin$SupplierUserViewPage.pageAlert}" id="pageAlert"/>
                            <ui:table augmentTitle="false" binding="#{admin$SupplierUserViewPage.supplierUserTable}" deselectMultipleButton="true"
                                deselectMultipleButtonOnClick="setTimeout('disableButtons()', 0)" id="supplierUserTable" selectMultipleButton="true"
                                selectMultipleButtonOnClick="setTimeout('disableButtons()', 0)" style="height: 20px; width: 800px"
                                title="#{msgBundle.SupplierUsers}" width="90%">
                                <ui:tableRowGroup binding="#{admin$SupplierUserViewPage.supplierUserTableRowGroup}" groupToggleButton="true"
                                    id="supplierUserTableRowGroup" rows="10" sourceData="#{admin$SupplierUserViewPage.supplierUserDataProvider}" sourceVar="currentRow">
                                    <ui:tableColumn id="tableColumn3" selectId="selectSupplierUserCheckBox" width="25">
                                        <ui:checkbox id="selectSupplierUserCheckBox" onClick="setTimeout('initAllRows(); disableButtons()', 0)" selected="#{admin$SupplierUserViewPage.supplierUserTableRowSelect.selected}"/>
                                    </ui:tableColumn>
                                    <ui:tableColumn binding="#{admin$SupplierUserViewPage.tableColumn4}" headerText="#{msgBundle.ID}" id="tableColumn4" width="50">
                                        <ui:staticText binding="#{admin$SupplierUserViewPage.staticText4}" id="staticText4" text="#{currentRow.value['id']}"/>
                                    </ui:tableColumn>
                                    <ui:tableColumn binding="#{admin$SupplierUserViewPage.tableColumn6}" headerText="#{msgBundle.UserID}" id="tableColumn6" width="100">
                                        <ui:hyperlink action="#{admin$SupplierUserViewPage.useridHyperlink_action}"
                                            binding="#{admin$SupplierUserViewPage.useridHyperlink}" id="useridHyperlink" text="#{currentRow.value['userid']}"/>
                                    </ui:tableColumn>
                                    <ui:tableColumn binding="#{admin$SupplierUserViewPage.tableColumn5}" headerText="#{msgBundle.Name}" id="tableColumn5" width="200">
                                        <ui:hyperlink action="#{admin$SupplierUserViewPage.nameHyperlink_action}"
                                            binding="#{admin$SupplierUserViewPage.nameHyperlink}" id="nameHyperlink" text="#{currentRow.value['name']}"/>
                                    </ui:tableColumn>
                                    <ui:tableColumn binding="#{admin$SupplierUserViewPage.tableColumn7}" headerText="#{msgBundle.Email}" id="tableColumn7" width="200">
                                        <ui:staticText binding="#{admin$SupplierUserViewPage.staticText6}" id="staticText6" text="#{currentRow.value['email']}"/>
                                    </ui:tableColumn>
                                    <ui:tableColumn binding="#{admin$SupplierUserViewPage.tableColumn8}" headerText="#{msgBundle.Supplier}" id="tableColumn8" width="200">
                                        <ui:hyperlink binding="#{admin$SupplierUserViewPage.supplierHyperlink}" id="supplierHyperlink"
                                            onClick="show_dialog_for_id (&quot;supplier-detail-&quot; + window.event.srcElement.firstChild.data);&#xa;return true" text="#{currentRow.value['supplier']}"/>
                                    </ui:tableColumn>
                                    <ui:tableColumn binding="#{admin$SupplierUserViewPage.tableColumn9}" headerText="#{msgBundle.Admin}" id="tableColumn9" width="50">
                                        <ui:checkbox binding="#{admin$SupplierUserViewPage.checkbox2}" disabled="true" id="checkbox2" selected="#{currentRow.value['admin']}"/>
                                    </ui:tableColumn>
                                    <ui:tableColumn binding="#{admin$SupplierUserViewPage.tableColumn1}" headerText="#{msgBundle.Active}" id="tableColumn1" width="50">
                                        <ui:checkbox binding="#{admin$SupplierUserViewPage.checkbox1}" disabled="true" id="checkbox1" selected="#{currentRow.value['active']}"/>
                                    </ui:tableColumn>
                                    <ui:tableColumn binding="#{admin$SupplierUserViewPage.tableColumn2}" headerText="#{msgBundle.Remarks}" id="tableColumn2" width="400">
                                        <ui:staticText binding="#{admin$SupplierUserViewPage.staticText2}" id="staticText2" text="#{currentRow.value['remarks']}"/>
                                    </ui:tableColumn>
                                </ui:tableRowGroup>
                                <f:facet name="actionsTop">
                                    <f:subview id="actionsTop">
                                        <ui:button action="#{admin$SupplierUserViewPage.newButton_action}" binding="#{admin$SupplierUserViewPage.newButton}"
                                            id="newButton" text="New"/>
                                        <ui:button action="#{admin$SupplierUserViewPage.deleteButton_action}"
                                            binding="#{admin$SupplierUserViewPage.deleteButton}" id="deleteButton"
                                            onClick="if (confirmDeleteSelectedRows() == false) return false" text="Delete"/>
                                        <ui:button action="#{admin$SupplierUserViewPage.activateButton_action}"
                                            binding="#{admin$SupplierUserViewPage.activateButton}" id="activateButton"
                                            onClick="if (confirmActivateSelectedRows() == false) return false" text="Activate"/>
                                        <ui:button action="#{admin$SupplierUserViewPage.deactivateButton_action}"
                                            binding="#{admin$SupplierUserViewPage.deactivateButton}" id="deactivateButton"
                                            onClick="if (confirmDeactivateSelectedRows() == false) return false" text="Deactivate"/>
                                    </f:subview>
                                </f:facet>
                            </ui:table>
                        </h:panelGrid>
                    </ui:form>
                    <h:outputText escape="false" value="#{admin$SupplierUserViewPage.supplierDetailHtml}"/>
                    <jsp:include page="/resources/yui-dialog-ok.inc"/>
                </ui:body>
            </ui:html>
        </ui:page>
    </f:view>
    <script language="javascript">
	initAllRows();
	disableButtons();
    </script>
</jsp:root>
