<?xml version="1.0" encoding="UTF-8"?>
<jsp:root version="1.2" xmlns:f="http://java.sun.com/jsf/core" xmlns:h="http://java.sun.com/jsf/html" xmlns:jsp="http://java.sun.com/JSP/Page" xmlns:ui="http://www.sun.com/web/ui">
    <jsp:directive.page contentType="text/html;charset=UTF-8" pageEncoding="UTF-8"/>
    <script language="javascript">
	function initAllRows() {
		var table = document.getElementById("form1:supplierTable");
		table.initAllRows();
	}
	
	function disableButtons() {
		// Disable table actions by default.
		var table = document.getElementById("form1:supplierTable");
		var selections = table.getAllSelectedRowsCount(); 
		var disabled = !(selections &gt; 0);

		// Set disabled state for top actions.
		document.getElementById("form1:supplierTable:actionsTop:deleteButton").setDisabled(disabled);
		document.getElementById("form1:supplierTable:actionsTop:activateButton").setDisabled(disabled);
		document.getElementById("form1:supplierTable:actionsTop:deactivateButton").setDisabled(disabled);
	}		
	
	function confirmDeleteSelectedRows() {
		var table = document.getElementById("form1:supplierTable");
		return table.confirmDeleteSelectedRows();
	}
	 
	function confirmActivateSelectedRows() {
		var table = document.getElementById("form1:supplierTable");
		return table.confirmSelectedRows("\n\nActivate all selections?");
	}
	
	function confirmDeactivateSelectedRows() {
		var table = document.getElementById("form1:supplierTable");
		return table.confirmSelectedRows("\n\nDeactivate all selections?");
	}
	</script>
    <f:view>
        <ui:page binding="#{admin$SupplierViewPage.page1}" id="page1">
            <ui:html binding="#{admin$SupplierViewPage.html1}" id="html1">
                <f:loadBundle basename="com.unimar.shipneeds.Messages" var="msgBundle"/>
                <ui:head binding="#{admin$SupplierViewPage.head1}" id="head1">
                    <jsp:include page="/resources/yui.inc"/>
                    <ui:link binding="#{admin$SupplierViewPage.link1}" id="link1" url="/resources/stylesheet.css"/>
                </ui:head>
                <ui:body binding="#{admin$SupplierViewPage.body1}" id="body1" style="-rave-layout: grid" styleClass="yui-skin-sam">
                    <ui:form binding="#{admin$SupplierViewPage.form1}" id="form1">
                        <jsp:directive.include file="AdminNavigationFragment.jspf"/>
                        <ui:hiddenField binding="#{admin$SupplierViewPage.supplierListStringHiddenField}" id="supplierListStringHiddenField" text="#{admin$SupplierViewPage.supplierListString}"/>
                        <h:panelGrid binding="#{admin$SupplierViewPage.supplierViewPanel}" id="supplierViewPanel"
                            style="height: 196px; left: 120px; top: 72px; position: absolute" width="90%">
                            <h:panelGrid binding="#{admin$SupplierViewPage.gridPanel2}" id="gridPanel2"
                                style="border-width: 1px; border-style: groove; height: 72px;" width="90%">
                                <h:panelGrid binding="#{admin$SupplierViewPage.gridPanel1}" columns="4" id="gridPanel1"
                                    style="margin: 1px; padding: 1px; height: 24px" width="336">
                                    <ui:dropDown binding="#{admin$SupplierViewPage.statusKeyDropDown}" id="statusKeyDropDown"
                                        items="#{admin$SupplierViewPage.statusKeyOptionsList.options}" label="Show"
                                        selected="#{admin$SupplierViewPage.statusKeyOptionsList.selectedValue}" style="height: 24px"/>
                                    <ui:dropDown binding="#{admin$SupplierViewPage.sortKeyDropDown}" id="sortKeyDropDown"
                                        items="#{admin$SupplierViewPage.sortKeyOptionsList.options}" label="Sort By" onChange=""
                                        selected="#{admin$SupplierViewPage.sortKeyOptionsList.selectedValue}" style="height: 24px"/>
                                    <ui:dropDown binding="#{admin$SupplierViewPage.searchKeyDropDown}" id="searchKeyDropDown"
                                        items="#{admin$SupplierViewPage.searchKeyOptionsList.options}" label="Search In"
                                        selected="#{admin$SupplierViewPage.searchKeyOptionsList.selectedValue}" style="height: 24px;"/>
                                    <ui:textField binding="#{admin$SupplierViewPage.searchWordTextField}" id="searchWordTextField" label="For"
                                        style="height: 15px" text="#{admin$SupplierViewPage.searchWord}"/>
                                </h:panelGrid>
                                <ui:panelGroup binding="#{admin$SupplierViewPage.groupPanel2}" block="true" id="groupPanel2" style="height: 24px; width: 238px">
                                    <ui:button action="#{admin$SupplierViewPage.refreshButton_action}" binding="#{admin$SupplierViewPage.refreshButton}"
                                        id="refreshButton" style="height: 24px; width: 72px; z-index: 500" text="#{msgBundle.Refresh}"/>
                                    <ui:button action="#{admin$SupplierViewPage.previousPageButton_action}"
                                        binding="#{admin$SupplierViewPage.previousPageButton}" id="previousPageButton"
                                        style="height: 24px; width: 72px; z-index: 501" text="#{msgBundle.Previous}"/>
                                    <ui:button action="#{admin$SupplierViewPage.nextPageButton_action}" binding="#{admin$SupplierViewPage.nextPageButton}"
                                        id="nextPageButton" style="height: 24px; width: 72px; z-index: 502" text="#{msgBundle.Next}"/>
                                </ui:panelGroup>
                            </h:panelGrid>
                            <ui:alert binding="#{admin$SupplierViewPage.pageAlert}" id="pageAlert"/>
                            <ui:table augmentTitle="false" binding="#{admin$SupplierViewPage.supplierTable}" deselectMultipleButton="true"
                                deselectMultipleButtonOnClick="setTimeout('disableButtons()', 0)" id="supplierTable" selectMultipleButton="true"
                                selectMultipleButtonOnClick="setTimeout('disableButtons()', 0)" style="height: 20px; width: 800px"
                                title="#{msgBundle.Suppliers}" width="90%">
                                <ui:tableRowGroup binding="#{admin$SupplierViewPage.supplierTableRowGroup}" groupToggleButton="true" id="supplierTableRowGroup"
                                    rows="10" sourceData="#{admin$SupplierViewPage.supplierDataProvider}" sourceVar="currentRow">
                                    <ui:tableColumn id="tableColumn3" selectId="selectSupplierCheckBox" width="25">
                                        <ui:checkbox id="selectSupplierCheckBox" onClick="setTimeout('initAllRows(); disableButtons()', 0)" selected="#{admin$SupplierViewPage.supplierTableRowSelect.selected}"/>
                                    </ui:tableColumn>
                                    <ui:tableColumn binding="#{admin$SupplierViewPage.tableColumn4}" headerText="#{msgBundle.ID}" id="tableColumn4" width="50">
                                        <ui:hyperlink action="#{admin$SupplierViewPage.idHyperlink_action}" binding="#{admin$SupplierViewPage.idHyperlink}"
                                            id="idHyperlink"
                                            onClick="show_dialog_for_id (&quot;supplier-detail-&quot; + window.event.srcElement.firstChild.data);&#xa;return true" text="#{currentRow.value['id']}"/>
                                    </ui:tableColumn>
                                    <ui:tableColumn binding="#{admin$SupplierViewPage.tableColumn5}" headerText="#{msgBundle.Name}" id="tableColumn5" width="200">
                                        <ui:hyperlink action="#{admin$SupplierViewPage.nameHyperlink_action}" binding="#{admin$SupplierViewPage.nameHyperlink}"
                                            id="nameHyperlink" text="#{currentRow.value['name']}"/>
                                    </ui:tableColumn>
                                    <ui:tableColumn binding="#{admin$SupplierViewPage.tableColumn6}" headerText="#{msgBundle.Contact}" id="tableColumn6" width="50">
                                        <ui:staticText binding="#{admin$SupplierViewPage.staticText5}" id="staticText5" text="#{currentRow.value['contact']}"/>
                                    </ui:tableColumn>
                                    <ui:tableColumn binding="#{admin$SupplierViewPage.tableColumn7}" headerText="#{msgBundle.Country}" id="tableColumn7" width="100">
                                        <ui:staticText binding="#{admin$SupplierViewPage.staticText1}" id="staticText1" text="#{currentRow.value['country']}"/>
                                    </ui:tableColumn>
                                    <ui:tableColumn binding="#{admin$SupplierViewPage.tableColumn8}" headerText="#{msgBundle.Email}" id="tableColumn8" width="100">
                                        <ui:staticText binding="#{admin$SupplierViewPage.staticText6}" id="staticText6" text="#{currentRow.value['email']}"/>
                                    </ui:tableColumn>
                                    <ui:tableColumn binding="#{admin$SupplierViewPage.tableColumn9}" headerText="#{msgBundle.Telno}" id="tableColumn9" width="50">
                                        <ui:staticText binding="#{admin$SupplierViewPage.staticText7}" id="staticText7" text="#{currentRow.value['telno']}"/>
                                    </ui:tableColumn>
                                    <ui:tableColumn binding="#{admin$SupplierViewPage.tableColumn10}" headerText="#{msgBundle.Categories}" id="tableColumn10" width="100">
                                        <ui:staticText binding="#{admin$SupplierViewPage.staticText8}" id="staticText8" text="#{currentRow.value['categories']}"/>
                                    </ui:tableColumn>
                                    <ui:tableColumn binding="#{admin$SupplierViewPage.tableColumn11}" headerText="#{msgBundle.Ports}" id="tableColumn11" width="100">
                                        <ui:staticText binding="#{admin$SupplierViewPage.staticText9}" id="staticText9" text="#{currentRow.value['ports']}"/>
                                    </ui:tableColumn>
                                    <ui:tableColumn binding="#{admin$SupplierViewPage.tableColumn1}" headerText="#{msgBundle.Active}" id="tableColumn1" width="50">
                                        <ui:checkbox binding="#{admin$SupplierViewPage.checkbox1}" disabled="true" id="checkbox1" selected="#{currentRow.value['active']}"/>
                                    </ui:tableColumn>
                                    <ui:tableColumn binding="#{admin$SupplierViewPage.tableColumn2}" headerText="#{msgBundle.Remarks}" id="tableColumn2" width="400">
                                        <ui:staticText binding="#{admin$SupplierViewPage.staticText2}" id="staticText2" text="#{currentRow.value['remarks']}"/>
                                    </ui:tableColumn>
                                </ui:tableRowGroup>
                                <f:facet name="actionsTop">
                                    <f:subview id="actionsTop">
                                        <ui:button action="#{admin$SupplierViewPage.newButton_action}" binding="#{admin$SupplierViewPage.newButton}"
                                            id="newButton" text="New"/>
                                        <ui:button action="#{admin$SupplierViewPage.deleteButton_action}" binding="#{admin$SupplierViewPage.deleteButton}"
                                            id="deleteButton" onClick="if (confirmDeleteSelectedRows() == false) return false" text="Delete"/>
                                        <ui:button action="#{admin$SupplierViewPage.activateButton_action}" binding="#{admin$SupplierViewPage.activateButton}"
                                            id="activateButton" onClick="if (confirmActivateSelectedRows() == false) return false" text="Activate"/>
                                        <ui:button action="#{admin$SupplierViewPage.deactivateButton_action}"
                                            binding="#{admin$SupplierViewPage.deactivateButton}" id="deactivateButton"
                                            onClick="if (confirmDeactivateSelectedRows() == false) return false" text="Deactivate"/>
                                    </f:subview>
                                </f:facet>
                            </ui:table>
                        </h:panelGrid>
                    </ui:form>
                    <h:outputText escape="false" value="#{admin$SupplierViewPage.supplierDetailHtml}"/>
                    <jsp:include page="/resources/yui-dialog-ok.inc"/>
                </ui:body>
            </ui:html>
        </ui:page>
    </f:view>
    <script language="javascript">
	initAllRows();
	disableButtons();
    </script>
</jsp:root>
