<?xml version="1.0" encoding="UTF-8"?>
<jsp:root version="1.2" xmlns:f="http://java.sun.com/jsf/core" xmlns:h="http://java.sun.com/jsf/html" xmlns:jsp="http://java.sun.com/JSP/Page" xmlns:ui="http://www.sun.com/web/ui">
    <jsp:directive.page contentType="text/html;charset=UTF-8" pageEncoding="UTF-8"/>
    <script language="javascript">
	function initAllRows() {
		var table = document.getElementById("form1:systemUserTable");
		table.initAllRows();
	}
	
	function disableButtons() {
		// Disable table actions by default.
		var table = document.getElementById("form1:systemUserTable");
		var selections = table.getAllSelectedRowsCount(); 
		var disabled = !(selections &gt; 0);

		// Set disabled state for top actions.
		document.getElementById("form1:systemUserTable:actionsTop:deleteButton").setDisabled(disabled);
		document.getElementById("form1:systemUserTable:actionsTop:activateButton").setDisabled(disabled);
		document.getElementById("form1:systemUserTable:actionsTop:deactivateButton").setDisabled(disabled);
	}		
	
	function confirmDeleteSelectedRows() {
		var table = document.getElementById("form1:systemUserTable");
		return table.confirmDeleteSelectedRows();
	}
	 
	function confirmActivateSelectedRows() {
		var table = document.getElementById("form1:systemUserTable");
		return table.confirmSelectedRows("\n\nActivate all selections?");
	}
	
	function confirmDeactivateSelectedRows() {
		var table = document.getElementById("form1:systemUserTable");
		return table.confirmSelectedRows("\n\nDeactivate all selections?");
	}
	</script>
    <f:view>
        <ui:page binding="#{admin$SystemUserViewPage.page1}" id="page1">
            <ui:html binding="#{admin$SystemUserViewPage.html1}" id="html1">
                <f:loadBundle basename="com.unimar.shipneeds.Messages" var="msgBundle"/>
                <ui:head binding="#{admin$SystemUserViewPage.head1}" id="head1">
                    <ui:link binding="#{admin$SystemUserViewPage.link1}" id="link1" url="/resources/stylesheet.css"/>
                </ui:head>
                <ui:body binding="#{admin$SystemUserViewPage.body1}" id="body1" style="-rave-layout: grid">
                    <ui:form binding="#{admin$SystemUserViewPage.form1}" id="form1">
                        <jsp:directive.include file="AdminNavigationFragment.jspf"/>
                        <ui:hiddenField binding="#{admin$SystemUserViewPage.systemUserListStringHiddenField}" id="systemUserListStringHiddenField" text="#{admin$SystemUserViewPage.systemUserListString}"/>
                        <h:panelGrid binding="#{admin$SystemUserViewPage.systemUserViewPanel}" id="systemUserViewPanel"
                            style="height: 196px; left: 120px; top: 72px; position: absolute" width="90%">
                            <h:panelGrid binding="#{admin$SystemUserViewPage.gridPanel2}" id="gridPanel2"
                                style="border-width: 1px; border-style: groove; height: 72px;" width="90%">
                                <h:panelGrid binding="#{admin$SystemUserViewPage.gridPanel1}" columns="4" id="gridPanel1"
                                    style="margin: 1px; padding: 1px; height: 24px" width="336">
                                    <ui:dropDown binding="#{admin$SystemUserViewPage.statusKeyDropDown}" id="statusKeyDropDown"
                                        items="#{admin$SystemUserViewPage.statusKeyOptionsList.options}" label="Show"
                                        selected="#{admin$SystemUserViewPage.statusKeyOptionsList.selectedValue}" style="height: 24px"/>
                                    <ui:dropDown binding="#{admin$SystemUserViewPage.sortKeyDropDown}" id="sortKeyDropDown"
                                        items="#{admin$SystemUserViewPage.sortKeyOptionsList.options}" label="Sort By" onChange=""
                                        selected="#{admin$SystemUserViewPage.sortKeyOptionsList.selectedValue}" style="height: 24px"/>
                                    <ui:dropDown binding="#{admin$SystemUserViewPage.searchKeyDropDown}" id="searchKeyDropDown"
                                        items="#{admin$SystemUserViewPage.searchKeyOptionsList.options}" label="Search In"
                                        selected="#{admin$SystemUserViewPage.searchKeyOptionsList.selectedValue}" style="height: 24px;"/>
                                    <ui:textField binding="#{admin$SystemUserViewPage.searchWordTextField}" id="searchWordTextField" label="For"
                                        style="height: 15px" text="#{admin$SystemUserViewPage.searchWord}"/>
                                </h:panelGrid>
                                <ui:panelGroup binding="#{admin$SystemUserViewPage.groupPanel2}" block="true" id="groupPanel2" style="height: 24px; width: 238px">
                                    <ui:button action="#{admin$SystemUserViewPage.refreshButton_action}" binding="#{admin$SystemUserViewPage.refreshButton}"
                                        id="refreshButton" style="height: 24px; width: 72px; z-index: 500" text="#{msgBundle.Refresh}"/>
                                    <ui:button action="#{admin$SystemUserViewPage.previousPageButton_action}"
                                        binding="#{admin$SystemUserViewPage.previousPageButton}" id="previousPageButton"
                                        style="height: 24px; width: 72px; z-index: 501" text="#{msgBundle.Previous}"/>
                                    <ui:button action="#{admin$SystemUserViewPage.nextPageButton_action}" binding="#{admin$SystemUserViewPage.nextPageButton}"
                                        id="nextPageButton" style="height: 24px; width: 72px; z-index: 502" text="#{msgBundle.Next}"/>
                                </ui:panelGroup>
                            </h:panelGrid>
                            <ui:alert binding="#{admin$SystemUserViewPage.pageAlert}" id="pageAlert"/>
                            <ui:table augmentTitle="false" binding="#{admin$SystemUserViewPage.systemUserTable}" deselectMultipleButton="true"
                                deselectMultipleButtonOnClick="setTimeout('disableButtons()', 0)" id="systemUserTable" selectMultipleButton="true"
                                selectMultipleButtonOnClick="setTimeout('disableButtons()', 0)" style="height: 20px; width: 800px"
                                title="#{msgBundle.SystemUsers}" width="90%">
                                <ui:tableRowGroup binding="#{admin$SystemUserViewPage.systemUserTableRowGroup}" groupToggleButton="true"
                                    id="systemUserTableRowGroup" rows="10" sourceData="#{admin$SystemUserViewPage.systemUserDataProvider}" sourceVar="currentRow">
                                    <ui:tableColumn id="tableColumn3" selectId="selectSystemUserCheckBox" width="25">
                                        <ui:checkbox id="selectSystemUserCheckBox" onClick="setTimeout('initAllRows(); disableButtons()', 0)" selected="#{admin$SystemUserViewPage.systemUserTableRowSelect.selected}"/>
                                    </ui:tableColumn>
                                    <ui:tableColumn binding="#{admin$SystemUserViewPage.tableColumn4}" headerText="#{msgBundle.ID}" id="tableColumn4" width="50">
                                        <ui:staticText binding="#{admin$SystemUserViewPage.staticText4}" id="staticText4" text="#{currentRow.value['id']}"/>
                                    </ui:tableColumn>
                                    <ui:tableColumn binding="#{admin$SystemUserViewPage.tableColumn6}" headerText="#{msgBundle.UserID}" id="tableColumn6" width="100">
                                        <ui:hyperlink action="#{admin$SystemUserViewPage.useridHyperlink_action}"
                                            binding="#{admin$SystemUserViewPage.useridHyperlink}" id="useridHyperlink" text="#{currentRow.value['userid']}"/>
                                    </ui:tableColumn>
                                    <ui:tableColumn binding="#{admin$SystemUserViewPage.tableColumn5}" headerText="#{msgBundle.Name}" id="tableColumn5" width="200">
                                        <ui:hyperlink action="#{admin$SystemUserViewPage.nameHyperlink_action}"
                                            binding="#{admin$SystemUserViewPage.nameHyperlink}" id="nameHyperlink" text="#{currentRow.value['name']}"/>
                                    </ui:tableColumn>
                                    <ui:tableColumn binding="#{admin$SystemUserViewPage.tableColumn7}" headerText="#{msgBundle.Email}" id="tableColumn7" width="200">
                                        <ui:staticText binding="#{admin$SystemUserViewPage.staticText6}" id="staticText6" text="#{currentRow.value['email']}"/>
                                    </ui:tableColumn>
                                    <ui:tableColumn binding="#{admin$SystemUserViewPage.tableColumn1}" headerText="#{msgBundle.Active}" id="tableColumn1" width="50">
                                        <ui:checkbox binding="#{admin$SystemUserViewPage.checkbox1}" disabled="true" id="checkbox1" selected="#{currentRow.value['active']}"/>
                                    </ui:tableColumn>
                                    <ui:tableColumn binding="#{admin$SystemUserViewPage.tableColumn2}" headerText="#{msgBundle.Remarks}" id="tableColumn2" width="400">
                                        <ui:staticText binding="#{admin$SystemUserViewPage.staticText2}" id="staticText2" text="#{currentRow.value['remarks']}"/>
                                    </ui:tableColumn>
                                </ui:tableRowGroup>
                                <f:facet name="actionsTop">
                                    <f:subview id="actionsTop">
                                        <ui:button action="#{admin$SystemUserViewPage.newButton_action}" binding="#{admin$SystemUserViewPage.newButton}"
                                            id="newButton" text="New"/>
                                        <ui:button action="#{admin$SystemUserViewPage.deleteButton_action}" binding="#{admin$SystemUserViewPage.deleteButton}"
                                            id="deleteButton" onClick="if (confirmDeleteSelectedRows() == false) return false" text="Delete"/>
                                        <ui:button action="#{admin$SystemUserViewPage.activateButton_action}"
                                            binding="#{admin$SystemUserViewPage.activateButton}" id="activateButton"
                                            onClick="if (confirmActivateSelectedRows() == false) return false" text="Activate"/>
                                        <ui:button action="#{admin$SystemUserViewPage.deactivateButton_action}"
                                            binding="#{admin$SystemUserViewPage.deactivateButton}" id="deactivateButton"
                                            onClick="if (confirmDeactivateSelectedRows() == false) return false" text="Deactivate"/>
                                    </f:subview>
                                </f:facet>
                            </ui:table>
                        </h:panelGrid>
                    </ui:form>
                </ui:body>
            </ui:html>
        </ui:page>
    </f:view>
    <script language="javascript">
	initAllRows();
	disableButtons();
    </script>
</jsp:root>
