<?xml version="1.0" encoding="UTF-8"?>
<jsp:root version="1.2" xmlns:f="http://java.sun.com/jsf/core" xmlns:h="http://java.sun.com/jsf/html" xmlns:jsp="http://java.sun.com/JSP/Page" xmlns:ui="http://www.sun.com/web/ui">
    <jsp:directive.page contentType="text/html;charset=UTF-8" pageEncoding="UTF-8"/>
    <script language="javascript">
	function initAllRows() {
		var table = document.getElementById("form1:vesselTable");
		table.initAllRows();
	}
	
	function disableButtons() {
		// Disable table actions by default.
		var table = document.getElementById("form1:vesselTable");
		var selections = table.getAllSelectedRowsCount(); 
		var disabled = !(selections &gt; 0);

		// Set disabled state for top actions.
		document.getElementById("form1:vesselTable:actionsTop:deleteButton").setDisabled(disabled);
		document.getElementById("form1:vesselTable:actionsTop:activateButton").setDisabled(disabled);
		document.getElementById("form1:vesselTable:actionsTop:deactivateButton").setDisabled(disabled);
	}		
	
	function confirmDeleteSelectedRows() {
		var table = document.getElementById("form1:vesselTable");
		return table.confirmDeleteSelectedRows();
	}
	 
	function confirmActivateSelectedRows() {
		var table = document.getElementById("form1:vesselTable");
		return table.confirmSelectedRows("\n\nActivate all selections?");
	}
	
	function confirmDeactivateSelectedRows() {
		var table = document.getElementById("form1:vesselTable");
		return table.confirmSelectedRows("\n\nDeactivate all selections?");
	}
    </script>
    <f:view>
        <ui:page binding="#{admin$VesselViewPage.page1}" id="page1">
            <ui:html binding="#{admin$VesselViewPage.html1}" id="html1">
                <f:loadBundle basename="com.unimar.shipneeds.Messages" var="msgBundle"/>
                <ui:head binding="#{admin$VesselViewPage.head1}" id="head1">
                    <jsp:include page="/resources/yui.inc"/>
                    <ui:link binding="#{admin$VesselViewPage.link1}" id="link1" url="/resources/stylesheet.css"/>
                </ui:head>
                <ui:body binding="#{admin$VesselViewPage.body1}" id="body1" style="-rave-layout: grid" styleClass="yui-skin-sam">
                    <ui:form binding="#{admin$VesselViewPage.form1}" id="form1">
                        <jsp:directive.include file="AdminNavigationFragment.jspf"/>
                        <ui:hiddenField binding="#{admin$VesselViewPage.vesselListStringHiddenField}" id="vesselListStringHiddenField" text="#{admin$VesselViewPage.vesselListString}"/>
                        <h:panelGrid binding="#{admin$VesselViewPage.vesselViewPanel}" id="vesselViewPanel"
                            style="height: 196px; left: 120px; top: 72px; position: absolute" width="90%">
                            <h:panelGrid binding="#{admin$VesselViewPage.gridPanel2}" id="gridPanel2"
                                style="border-width: 1px; border-style: groove; height: 72px;" width="90%">
                                <h:panelGrid binding="#{admin$VesselViewPage.gridPanel1}" columns="4" id="gridPanel1"
                                    style="margin: 1px; padding: 1px; height: 24px" width="336">
                                    <ui:dropDown binding="#{admin$VesselViewPage.statusKeyDropDown}" id="statusKeyDropDown"
                                        items="#{admin$VesselViewPage.statusKeyOptionsList.options}" label="Show"
                                        selected="#{admin$VesselViewPage.statusKeyOptionsList.selectedValue}" style="height: 24px"/>
                                    <ui:dropDown binding="#{admin$VesselViewPage.sortKeyDropDown}" id="sortKeyDropDown"
                                        items="#{admin$VesselViewPage.sortKeyOptionsList.options}" label="Sort By" onChange=""
                                        selected="#{admin$VesselViewPage.sortKeyOptionsList.selectedValue}" style="height: 24px"/>
                                    <ui:dropDown binding="#{admin$VesselViewPage.searchKeyDropDown}" id="searchKeyDropDown"
                                        items="#{admin$VesselViewPage.searchKeyOptionsList.options}" label="Search In"
                                        selected="#{admin$VesselViewPage.searchKeyOptionsList.selectedValue}" style="height: 24px;"/>
                                    <ui:textField binding="#{admin$VesselViewPage.searchWordTextField}" id="searchWordTextField" label="For"
                                        style="height: 15px" text="#{admin$VesselViewPage.searchWord}"/>
                                </h:panelGrid>
                                <ui:panelGroup binding="#{admin$VesselViewPage.groupPanel2}" block="true" id="groupPanel2" style="height: 24px; width: 238px">
                                    <ui:button action="#{admin$VesselViewPage.refreshButton_action}" binding="#{admin$VesselViewPage.refreshButton}"
                                        id="refreshButton" style="height: 24px; width: 72px; z-index: 500" text="#{msgBundle.Refresh}"/>
                                    <ui:button action="#{admin$VesselViewPage.previousPageButton_action}" binding="#{admin$VesselViewPage.previousPageButton}"
                                        id="previousPageButton" style="height: 24px; width: 72px; z-index: 501" text="#{msgBundle.Previous}"/>
                                    <ui:button action="#{admin$VesselViewPage.nextPageButton_action}" binding="#{admin$VesselViewPage.nextPageButton}"
                                        id="nextPageButton" style="height: 24px; width: 72px; z-index: 502" text="#{msgBundle.Next}"/>
                                </ui:panelGroup>
                            </h:panelGrid>
                            <ui:alert binding="#{admin$VesselViewPage.pageAlert}" id="pageAlert"/>
                            <ui:table augmentTitle="false" binding="#{admin$VesselViewPage.vesselTable}" deselectMultipleButton="true"
                                deselectMultipleButtonOnClick="setTimeout('disableButtons()', 0)" id="vesselTable" selectMultipleButton="true"
                                selectMultipleButtonOnClick="setTimeout('disableButtons()', 0)" style="height: 20px; width: 800px" title="#{msgBundle.Vessels}" width="90%">
                                <ui:tableRowGroup binding="#{admin$VesselViewPage.vesselTableRowGroup}" groupToggleButton="true" id="vesselTableRowGroup" rows="10"
                                    sourceData="#{admin$VesselViewPage.vesselDataProvider}" sourceVar="currentRow">
                                    <ui:tableColumn id="tableColumn3" selectId="selectVesselCheckBox" width="25">
                                        <ui:checkbox id="selectVesselCheckBox" onClick="setTimeout('initAllRows(); disableButtons()', 0)" selected="#{admin$VesselViewPage.vesselTableRowSelect.selected}"/>
                                    </ui:tableColumn>
                                    <ui:tableColumn binding="#{admin$VesselViewPage.tableColumn4}" headerText="#{msgBundle.ID}" id="tableColumn4" width="50">
                                        <ui:staticText binding="#{admin$VesselViewPage.staticText4}" id="staticText4" text="#{currentRow.value['id']}"/>
                                    </ui:tableColumn>
                                    <ui:tableColumn binding="#{admin$VesselViewPage.tableColumn5}" headerText="#{msgBundle.Name}" id="tableColumn5" width="200">
                                        <ui:hyperlink action="#{admin$VesselViewPage.nameHyperlink_action}" binding="#{admin$VesselViewPage.nameHyperlink}"
                                            id="nameHyperlink" text="#{currentRow.value['name']}"/>
                                    </ui:tableColumn>
                                    <ui:tableColumn binding="#{admin$VesselViewPage.tableColumn6}" headerText="#{msgBundle.Buyer}" id="tableColumn6" width="100">
                                        <ui:hyperlink binding="#{admin$VesselViewPage.buyerHyperlink}" id="buyerHyperlink"
                                            onClick="show_dialog_for_id (&quot;buyer-detail-&quot; + window.event.srcElement.firstChild.data); return true;"
                                            text="#{currentRow.value['buyer']}" url="#"/>
                                    </ui:tableColumn>

                                    <ui:tableColumn binding="#{admin$VesselViewPage.tableColumn7}" headerText="#{msgBundle.Country}" id="tableColumn7" width="100">
                                        <ui:hyperlink binding="#{admin$VesselViewPage.countryHyperlink}" id="countryHyperlink"
                                            onClick="show_dialog_for_id (&quot;country-detail-&quot; + window.event.srcElement.firstChild.data); return true;"
                                            text="#{currentRow.value['country']}" url="#"/>
                                    </ui:tableColumn>

                                    <ui:tableColumn binding="#{admin$VesselViewPage.tableColumn8}" headerText="#{msgBundle.CallSign}" id="tableColumn8" width="100">
                                        <ui:staticText binding="#{admin$VesselViewPage.staticText5}" id="staticText5" text="#{currentRow.value['callSign']}"/>
                                    </ui:tableColumn>
                                    <ui:tableColumn binding="#{admin$VesselViewPage.tableColumn9}" headerText="#{msgBundle.Owner}" id="tableColumn9" width="100">
                                        <ui:staticText binding="#{admin$VesselViewPage.staticText6}" id="staticText6" text="#{currentRow.value['owner']}"/>
                                    </ui:tableColumn>


                                    <ui:tableColumn binding="#{admin$VesselViewPage.tableColumn1}" headerText="#{msgBundle.Active}" id="tableColumn1" width="50">
                                        <ui:checkbox binding="#{admin$VesselViewPage.checkbox1}" disabled="true" id="checkbox1" selected="#{currentRow.value['active']}"/>
                                    </ui:tableColumn>
                                    <ui:tableColumn binding="#{admin$VesselViewPage.tableColumn2}" headerText="#{msgBundle.Remarks}" id="tableColumn2" width="400">
                                        <ui:staticText binding="#{admin$VesselViewPage.staticText2}" id="staticText2" text="#{currentRow.value['remarks']}"/>
                                    </ui:tableColumn>
                                </ui:tableRowGroup>
                                <f:facet name="actionsTop">
                                    <f:subview id="actionsTop">
                                        <ui:button action="#{admin$VesselViewPage.newButton_action}" binding="#{admin$VesselViewPage.newButton}" id="newButton" text="New"/>
                                        <ui:button action="#{admin$VesselViewPage.deleteButton_action}" binding="#{admin$VesselViewPage.deleteButton}"
                                            id="deleteButton" onClick="if (confirmDeleteSelectedRows() == false) return false" text="Delete"/>
                                        <ui:button action="#{admin$VesselViewPage.activateButton_action}" binding="#{admin$VesselViewPage.activateButton}"
                                            id="activateButton" onClick="if (confirmActivateSelectedRows() == false) return false" text="Activate"/>
                                        <ui:button action="#{admin$VesselViewPage.deactivateButton_action}" binding="#{admin$VesselViewPage.deactivateButton}"
                                            id="deactivateButton" onClick="if (confirmDeactivateSelectedRows() == false) return false" text="Deactivate"/>
                                    </f:subview>
                                </f:facet>
                            </ui:table>
                        </h:panelGrid>
                    </ui:form>
                    <h:outputText escape="false" value="#{admin$VesselViewPage.vesselBuyerDetailHtml}"/>
                    <h:outputText escape="false" value="#{admin$VesselViewPage.vesselCountryDetailHtml}"/>
                    <jsp:include page="/resources/yui-dialog-ok.inc"/>
                </ui:body>
            </ui:html>
        </ui:page>
    </f:view>
    <script language="javascript">
	initAllRows();
	disableButtons();
    </script>
</jsp:root>
